<?php

namespace App\Console\Commands;

use App\Http\Controllers\Frontend\Alerts\AlertsController;
use Illuminate\Console\Command;

class StationAlert extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'station:alerts';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sending weather stations inactive list every 6 hours';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $AlertsController = new AlertsController();

        $AlertsController->stationInactiveMails();
    }
}
