<?php

namespace App\Http\Controllers\Frontend\Dynamic;

use DB;
use DateTime;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\RunView\runview;
use App\Models\IOT\station;
use App\Models\Stations\Station as CurwStation;
use App\Http\Controllers\Frontend\Observations\ObserveController;
use App\Http\Controllers\Frontend\Screens\ScreenController;

class DynamicController extends Controller
{
    // Test maps
    public function testMap($layer)
    {
        if ($layer == 'feature') {
            return view('frontend.dynamic.map.test')->with(['layer_id' => '38bed8ec3f1f44e8ba4087f5fe5f4172']);
        }
        if ($layer == 'tile') {
            return view('frontend.dynamic.map.test')->with(['layer_id' => 'd96ca6dfff3d426b920e46e8d36335a8']);
        }
        return view('errors.404');
    }

    /*
     *
     * Weather Stations
     *
     * */

    // Getting Temperature Live Once - CURW DB Version
    public function getTemperatureOnceCurw($station)
    {
        set_time_limit(0);
        $temperature = null;

        if ($station == 'Orugodawatta') {
            $runview_temperature = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station->name == 'Hingurana') {
        //            $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
        //                ->where('variable', 'Temperature')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_temperature = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_temperature !== null) {
            $temperature = $runview_temperature
                ->data()
                ->select(['time', 'value'])
                ->orderBy('time', 'desc')
                ->first();
        }
        $temperature['time'] = strtotime($temperature['time']) * 1000;

        return $temperature;
    }

    // Weather Stations key map
    public function mapWeatherStations()
    {
        set_time_limit(0);
        $filtered_stations = null;
        $values = null;
        $temperature = null;
        $runview_preci = null;
        $result_preci = null;
        $precipitation_3h = null;
        $precipitation_24h = null;
        $humidity = null;
        $wind_speed = null;
        $wind_gust = null;
        $wind_direction = null;
        $solar_radiation = null;
        $result_temp = null;
        $result_prec_3h = null;
        $result_prec_3hs = null;
        $result_prec_24h = null;
        $result_prec_24hs = null;
        $result_winsp = null;
        $result_wingus = null;
        $result_windir = null;
        $result_solar = null;
        $result_hum = null;
        $availability = null;
        $today = Carbon::today();
        $st_id = 'station_';
        $id = 1;

        $date = Carbon::today()->format('Y-m-d');


        $stations = Station::where('id', '<', 200000)->get();

        if ($stations->isNotEmpty()) {
            foreach ($stations as $key => $station) {
                if ($station->name == 'Orugodawatta') {
                    $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                        ->where('variable', 'Precipitation')
                        ->where('source', 'WeatherStation')
                        ->where('name', 'CUrW IoT')
                        ->where('start_date', '!=', null)
                        ->first();
                }
                //                elseif ($station->name == 'Hingurana') {
                //                    $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                //                        ->where('variable', 'Precipitation')
                //                        ->where('source', 'WeatherStation')
                //                        ->where('name', 'A&T Labs')
                //                        ->where('start_date', '!=', null)
                //                        ->first();
                //
                ////                    dd($runview_preci);
                //                }
                else {
                    $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                        ->where('variable', 'Precipitation')
                        ->where('source', 'WeatherStation')
                        ->where('start_date', '!=', null)
                        ->first();
                }
                if ($runview_preci !== null) {
                    $result_preci = $runview_preci
                        ->data()
                        ->select(['time', 'value'])
                        ->orderBy('time', 'desc')
                        ->first();

                    //Getting temperature
                    $temperature = null;
                    if ($this->getTemperatureOnceCurw($station->name) !== null) {
                        if (isset($this->getTemperatureOnceCurw($station->name)->value)) {
                            $temperature = round($this->getTemperatureOnceCurw($station->name)->value, 1);
                        }
                    }

                    // Getting Precipitation
                    if ($station->name == 'Orugodawatta') {
                        $runview_prep = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Precipitation')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'Precipitation')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_prep = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Precipitation')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    if ($runview_prep !== null) {
                        $result_prec_3hs = $runview_prep
                            ->data()
                            ->select([DB::raw('SUM(value) as value')])
                            ->where('time', '>=', Carbon::parse($result_preci['time'])->subHours(3))
                            ->groupBy('value')
                            ->get();

                        $result_prec_24hs = $runview_prep
                            ->data()
                            ->select([DB::raw('SUM(value) as value')])
                            ->where('time', '>=', Carbon::parse($result_preci['time'])->subHours(24))
                            ->groupBy('value')
                            ->get();
                    }

                    $result_prep_3h = null;
                    $result_prep_24h = null;

                    foreach ($result_prec_3hs as $result_3h) {
                        $result_prep_3h += $result_3h->value;
                    }

                    foreach ($result_prec_24hs as $result_24h) {
                        $result_prep_24h += $result_24h->value;
                    }

                    // Getting Humidity
                    $result_hum = null;
                    if ($station->name == 'Orugodawatta') {
                        $runview_hum = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Humidity')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'Humidity')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_hum = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Humidity')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }

                    if ($runview_hum !== null) {
                        $result_hum = $runview_hum
                            ->data()
                            ->select(['time', 'value'])
                            ->orderBy('time', 'desc')
                            ->first();
                    }

                    // Getting Wind Speed
                    $result_winsp = null;
                    if ($station->name == 'Orugodawatta') {
                        $runview_winsp = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindSpeed')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'WindSpeed')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_winsp = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindSpeed')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }

                    if ($runview_winsp !== null) {
                        $result_winsp = $runview_winsp
                            ->data()
                            ->select(['time', 'value'])
                            ->orderBy('time', 'desc')
                            ->first();
                    }

                    // Getting Wind Gust
                    $result_wingus = null;
                    if ($station->name == 'Orugodawatta') {
                        $runview_wingus = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindGust')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'WindGust')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_wingus = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindGust')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }

                    if ($runview_wingus !== null) {
                        $result_wingus = $runview_wingus
                            ->data()
                            ->select(['time', 'value'])
                            ->orderBy('time', 'desc')
                            ->first();
                    }

                    // Getting Wind Direction
                    $wind_direction = null;
                    if ($station->name == 'Orugodawatta') {
                        $runview_windir = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindDirection')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'WindDirection')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_windir = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'WindDirection')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }

                    if ($runview_windir !== null) {
                        $result_windir = $runview_windir
                            ->data()
                            ->select(['time', 'value'])
                            ->orderBy('time', 'desc')
                            ->first();

                        if (round((float) $result_windir['value'], 2) >= 337.50 || (float) $result_windir['value'] <= 22.50) {
                            $wind_direction = 'North';
                        } elseif (round((float) $result_windir['value'], 2) >= 22.50 && (float) $result_windir['value'] <= 67.50) {
                            $wind_direction = 'North East';
                        } elseif (round((float) $result_windir['value'], 2) >= 67.50 && (float) $result_windir['value'] <= 112.50) {
                            $wind_direction = 'East';
                        } elseif (round((float) $result_windir['value'], 2) >= 112.50 && (float) $result_windir['value'] <= 157.50) {
                            $wind_direction = 'South East';
                        } elseif (round((float) $result_windir['value'], 2) >= 157.50 && (float) $result_windir['value'] <= 202.50) {
                            $wind_direction = 'South';
                        } elseif (round((float) $result_windir['value'], 2) >= 202.50 && (float) $result_windir['value'] <= 247.50) {
                            $wind_direction = 'South West';
                        } elseif (round((float) $result_windir['value'], 2) >= 247.50 && (float) $result_windir['value'] <= 292.50) {
                            $wind_direction = 'West';
                        } elseif (round((float) $result_windir['value'], 2) >= 292.50 && (float) $result_windir['value'] <= 337.50) {
                            $wind_direction = 'North West';
                        }
                    }

                    // Getting Solar Radiation
                    $result_solar = null;
                    if ($station->name == 'Orugodawatta') {
                        $runview_solar = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'SolarRadiation')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'SolarRadiation')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_solar = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'SolarRadiation')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }

                    if ($runview_solar !== null) {
                        $result_solar = $runview_solar
                            ->data()
                            ->select(['time', 'value'])
                            ->orderBy('time', 'desc')
                            ->first();
                    }

                    $st_id = $st_id . $id;

                    // Getting station data availability
                    if ($station->name == 'Orugodawatta') {
                        $runview_updated = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Precipitation')
                            ->where('source', 'WeatherStation')
                            ->where('name', 'CUrW IoT')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    //                    elseif ($station->name == 'Hingurana') {
                    //                        $runview_preci = \App\Models\RunView\runview::where('station', $station->name)
                    //                            ->where('variable', 'Precipitation')
                    //                            ->where('source', 'WeatherStation')
                    //                            ->where('name', 'A&T Labs')
                    //                            ->where('start_date', '!=', null)
                    //                            ->first();
                    //
                    ////                    dd($runview_preci);
                    //                    }
                    else {
                        $runview_updated = \App\Models\RunView\runview::where('station', $station->name)
                            ->where('variable', 'Precipitation')
                            ->where('source', 'WeatherStation')
                            ->where('start_date', '!=', null)
                            ->first();
                    }
                    if ($runview_updated !== null) {
                        $availability = $runview_updated
                            ->data()
                            ->where('time', '>=', $today)
                            ->select(['time', 'value'])
                            ->get();
                    }

                    $temp = null;
                    $hum = null;
                    $wind_s = null;
                    $wind_g = null;
                    $wind_dir = null;
                    $solar = null;

                    if ($temperature !== null) {
                        $temp = round($temperature, 1);
                    }
                    if ($result_hum !== null) {
                        $hum = round($result_hum->value);
                    }
                    if ($result_winsp !== null) {
                        $wind_s = round($result_winsp->value, 1);
                    }
                    if ($result_wingus !== null) {
                        $wind_g = round($result_wingus->value, 1);
                    }
                    if ($wind_direction !== null) {
                        $wind_dir = $wind_direction;
                    }
                    if ($result_solar !== null) {
                        $solar = round($result_solar->value, 1);
                    }

                    $last_updated = Carbon::parse($result_preci->time)->diffForHumans();
                    $variables = array(
                        'station' => $st_id,
                        'temperature' => $temp,
                        'precipitation_3h' => round($result_prep_3h, 1),
                        'precipitation_24h' => round($result_prep_24h, 1),
                        'humidity' => $hum,
                        'wind_speed' => $wind_s,
                        'wind_gust' => $wind_g,
                        'wind_dir' => $wind_dir,
                        'solar' => $solar,
                        'last_updated' => $last_updated,
                        'availability' => $availability
                    );

                    $filtered_station = Station::where('name', $runview_preci->station)->first();
                    $values[] = array('name' => $filtered_station->name, 'longitude' => $filtered_station->longitude, 'latitude' => $filtered_station->latitude, 'variables' => $variables);
                    $id++;
                    $st_id = 'station_';
                }
            }
        }
        ////
        //        dd($stations, $filtered_stations, $values);
        return view('frontend.dynamic.map.weather-stations')->with(['stations' => $values, 'date' => $date]);
    }

    // Weather Station Past data function --curw
    public function pastWeatherStationsCurw($station, $start_date, $end_date)
    {
        date_default_timezone_set('Asia/Colombo');
        set_time_limit(0);
        // Check weather station result status
        $result = null;
        $result_preci = null;
        $today = Carbon::today();

        if ($station == 'Orugodawatta') {
            $runview_preci = runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        } 
        // elseif ($station == 'Kithulgala') {
        //     $runview_preci = runview::where('station', $station)
        //         ->where('variable', 'Precipitation')
        //         ->where('source', 'WeatherStation')
        //         ->where('name', 'A&T Labs')
        //         //                ->where('start_date', '2019-05-13 14:15:00')
        //         ->first();

            //                    dd($runview_preci);
        // } 
        else {
            $runview_preci = runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        dd($runview_preci);
        if ($runview_preci !== null) {
            $result = $runview_preci
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();

            $result_preci = $runview_preci
                ->data()
                ->select(['time', 'value'])
                ->orderBy('time', 'desc')
                ->first();
        }

        $observeController = new ObserveController();
        // Set values
        $values = array(
            'station' => $station,
            'coordinates' => $observeController->getCoordinates($station),
            'humidity' => $observeController->getHumidityCurw($station),
            'temperature' => $observeController->getTemperatureCurw($station),
            'windspeed' => $observeController->getWindSpeedCurw($station),
            'windgust' => $observeController->getWindGustCurw($station),
            'solarradiation' => $observeController->getSolarRadiationCurw($station),
            'winddirection' => $observeController->getWindDirectionCurw($station),
            'updated' => Carbon::parse($result_preci['time'])->diffForHumans(),
            'live_temperature' => $observeController->getTemperatureLiveCurw($station),
            'result' => $result,
            'start_date' => $start_date,
            'end_date' => $end_date
        );

        return view('frontend.dynamic.past.station')->with(['values' => $values]);
    }

    // Weather Station Past data function
    public function pastWeatherStations($station, $start_date, $end_date)
    {
        date_default_timezone_set('Asia/Colombo');
        set_time_limit(0);
        // Check weather station result status
        $result = null;
        $result_preci = null;
        $today = Carbon::today();

        if ($station == 'Orugodawatta') {
            $runview_preci = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_preci = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'Temperature')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_preci = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_preci !== null) {
            $result = $runview_preci
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();

            $result_preci = $runview_preci
                ->data()
                ->select(['time', 'value'])
                ->orderBy('time', 'desc')
                ->first();
        }

        $observeController = new ObserveController();

        // Set values
        $values = array(
            'station' => $station,
            'coordinates' => $observeController->getCoordinates($station),
            'humidity' => $observeController->getHumidity($station),
            'temperature' => $observeController->getTemperature($station),
            'windspeed' => $observeController->getWindSpeed($station),
            'windgust' => $observeController->getWindGust($station),
            'solarradiation' => $observeController->getSolarRadiation($station),
            'winddirection' => $observeController->getWindDirection($station),
            'updated' => Carbon::parse($result_preci['time'])->diffForHumans(),
            'live_temperature' => $observeController->getTemperatureLive($station),
            'result' => $result,
            'start_date' => $start_date,
            'end_date' => $end_date
        );

        return view('frontend.dynamic.past.station-int')->with(['values' => $values]);
    }

    // Sending json response of all data - CURW DB Version
    public function getPastDataCurw($station, $start_date, $end_date)
    {
        set_time_limit(0);
        $temperature = null;
        $windspeed = null;
        $windgust = null;
        $precipitations = null;
        $humidity = null;
        $solar = null;
        $winddirection = null;
        set_time_limit(0);
        $start_date = Carbon::parse($start_date . ' 00:00:00');
        $end_date = Carbon::parse($end_date . ' 23:00:00');

        $today = Carbon::today();

        // Getting Temperature
        if ($station == 'Orugodawatta') {
            $runview_temperature = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_temperature = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'Temperature')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_temperature = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_temperature !== null) {
            $temperature = $runview_temperature
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindSpeed
        if ($station == 'Orugodawatta') {
            $runview_windspeed = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindSpeed')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_windspeed = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'WindSpeed')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_windspeed = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindSpeed')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_windspeed !== null) {
            $windspeed = $runview_windspeed
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindGust
        if ($station == 'Orugodawatta') {
            $runview_windgust = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindGust')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_windgust = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'WindGust')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_windgust = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindGust')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_windgust !== null) {
            $windgust = $runview_windgust
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting Precipitation
        if ($station == 'Orugodawatta') {
            $runview_precipitation = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_precipitation = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'Precipitation')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_precipitation = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_precipitation !== null) {
            $precipitations = $runview_precipitation
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting Humidity
        if ($station == 'Orugodawatta') {
            $runview_humidity = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Humidity')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_humidity = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'Humidity')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_humidity = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Humidity')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_humidity !== null) {
            $humidity = $runview_humidity
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting SolarRadiation
        if ($station == 'Orugodawatta') {
            $runview_solar = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'SolarRadiation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_solar = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'SolarRadiation')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_solar = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'SolarRadiation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_solar !== null) {
            $solar = $runview_solar
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindDirection
        $winddirections = null;
        if ($station == 'Orugodawatta') {
            $runview_winddirection = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindDirection')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_winddirection = \App\Models\RunView\runview::where('station', $station)
        //                ->where('variable', 'WindDirection')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_winddirection = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'WindDirection')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_winddirection !== null) {
            $winddirections = $runview_winddirection
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Creating json response
        $values = array();

        foreach ($precipitations as $key => $preci) {
            $values['xData'][] = strtotime($preci['time']) * 1000;
            //            $values['min_date'] = strtotime(Carbon::today()) * 1000;
            //            $values['max_date'] = strtotime(Carbon::today()->addHours(11)) * 1000;

            // Temperature
            if ($temperature !== null) {
                $values['datasets'][0]['name'] = 'Temperature';
                if (isset($temperature[$key]['value'])) {
                    $values['datasets'][0]['data'][] = round((float) $temperature[$key]['value'], 1);
                } else {
                    $values['datasets'][0]['data'][] = null;
                }
                $values['datasets'][0]['unit'] = '°C';
                $values['datasets'][0]['type'] = 'line';
                $values['datasets'][0]['valueDecimals'] = '1';
            }

            // Precipitation
            $values['datasets'][1]['name'] = 'Precipitation';
            if (isset($preci['value'])) {
                $values['datasets'][1]['data'][] = round((float) $preci['value'], 1);
            } else {
                $values['datasets'][1]['data'][] = null;
            }
            $values['datasets'][1]['unit'] = 'mm';
            $values['datasets'][1]['type'] = 'column';
            $values['datasets'][1]['valueDecimals'] = '2';

            // WindSpeed
            if ($windspeed !== null) {
                $values['datasets'][2]['name'] = 'Wind Speed';
                if (isset($windspeed[$key]['value'])) {
                    $values['datasets'][2]['data'][] = round((float) $windspeed[$key]['value'], 1);
                } else {
                    $values['datasets'][2]['data'][] = null;
                }
                $values['datasets'][2]['unit'] = 'm/s';
                $values['datasets'][2]['type'] = 'scatter';
                $values['datasets'][2]['valueDecimals'] = '1';
            }

            // WindGust
            if ($windgust !== null) {
                $values['datasets'][3]['name'] = 'Wind Gust';
                if (isset($windgust[$key]['value'])) {
                    $values['datasets'][3]['data'][] = round((float) $windgust[$key]['value'], 1);
                } else {
                    $values['datasets'][3]['data'][] = null;
                }
                $values['datasets'][3]['unit'] = 'm/s';
                $values['datasets'][3]['type'] = 'scatter';
                $values['datasets'][3]['valueDecimals'] = '1';
            }

            if ($winddirections !== null) {
                $values['datasets'][4]['name'] = 'Wind Direction';
                if (isset($winddirections[$key]['value'])) {
                    $values['datasets'][4]['data'][] = round((float) $winddirections[$key]['value'], 1);
                } else {
                    $values['datasets'][4]['data'][] = null;
                }
                $values['datasets'][4]['unit'] = '°';
                $values['datasets'][4]['type'] = 'scatter';
                $values['datasets'][4]['valueDecimals'] = '2';
            }

            #############################################

            // Humidity
            if ($humidity !== null) {
                $values['datasets'][5]['name'] = 'Humidity';
                if (isset($humidity[$key]['value'])) {
                    $values['datasets'][5]['data'][] = (int) $humidity[$key]['value'];
                } else {
                    $values['datasets'][5]['data'][] = null;
                }
                $values['datasets'][5]['unit'] = '%';
                $values['datasets'][5]['type'] = 'line';
                $values['datasets'][5]['valueDecimals'] = '0';
            }

            // SolarRadiation
            if ($solar !== null) {
                $values['datasets'][6]['name'] = 'Solar Radiation';
                if (isset($solar[$key]['value'])) {
                    $values['datasets'][6]['data'][] = (int) $solar[$key]['value'];
                } else {
                    $values['datasets'][6]['data'][] = null;
                }
                $values['datasets'][6]['unit'] = 'W/m2';
                $values['datasets'][6]['type'] = 'line';
                $values['datasets'][6]['valueDecimals'] = '2';
            }
        }
        //        dd($values);
        return response($values);
    }

    // Sending json response of all data - CURW IOT DB Version
    public function getPastData($station, $start_date, $end_date)
    {
        set_time_limit(0);
        $temperature = null;
        $windspeed = null;
        $windgust = null;
        $precipitations = null;
        $humidity = null;
        $solar = null;
        $winddirection = null;
        set_time_limit(0);
        $start_date = Carbon::parse($start_date . ' 00:00:00');
        $end_date = Carbon::parse($end_date . ' 23:00:00');

        $today = Carbon::today();

        // Getting Temperature
        if ($station == 'Orugodawatta') {
            $runview_temperature = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_temperature = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'Temperature')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_temperature = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Temperature')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_temperature !== null) {
            $temperature = $runview_temperature
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindSpeed
        if ($station == 'Orugodawatta') {
            $runview_windspeed = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindSpeed')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_windspeed = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'WindSpeed')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_windspeed = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindSpeed')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_windspeed !== null) {
            $windspeed = $runview_windspeed
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindGust
        if ($station == 'Orugodawatta') {
            $runview_windgust = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindGust')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_windgust = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'WindGust')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_windgust = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindGust')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_windgust !== null) {
            $windgust = $runview_windgust
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting Precipitation
        if ($station == 'Orugodawatta') {
            $runview_precipitation = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_precipitation = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'Precipitation')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_precipitation = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_precipitation !== null) {
            $precipitations = $runview_precipitation
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting Humidity
        if ($station == 'Orugodawatta') {
            $runview_humidity = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Humidity')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_humidity = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'Humidity')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_humidity = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'Humidity')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_humidity !== null) {
            $humidity = $runview_humidity
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting SolarRadiation
        if ($station == 'Orugodawatta') {
            $runview_solar = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'SolarRadiation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_solar = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'SolarRadiation')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_solar = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'SolarRadiation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_solar !== null) {
            $solar = $runview_solar
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Getting WindDirection
        $winddirections = null;
        if ($station == 'Orugodawatta') {
            $runview_winddirection = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindDirection')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        }
        //        elseif ($station == 'Hingurana') {
        //            $runview_winddirection = \App\Models\IOT\runview::where('station', $station)
        //                ->where('variable', 'WindDirection')
        //                ->where('source', 'WeatherStation')
        //                ->where('name', 'A&T Labs')
        //                ->where('start_date', '!=', null)
        //                ->first();
        //
        ////                    dd($runview_preci);
        //        }
        else {
            $runview_winddirection = \App\Models\IOT\runview::where('station', $station)
                ->where('variable', 'WindDirection')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }
        if ($runview_winddirection !== null) {
            $winddirections = $runview_winddirection
                ->data()
                ->where('time', '>=', $start_date)
                ->where('time', '<=', $end_date)
                ->select(['time', 'value'])
                ->get();
        }

        // Creating json response
        $values = array();

        foreach ($precipitations as $key => $preci) {
            $values['xData'][] = strtotime($preci['time']) * 1000;
            //            $values['min_date'] = strtotime(Carbon::today()) * 1000;
            //            $values['max_date'] = strtotime(Carbon::today()->addHours(11)) * 1000;

            // Temperature
            if ($temperature !== null) {
                $values['datasets'][0]['name'] = 'Temperature';
                if (isset($temperature[$key]['value'])) {
                    $values['datasets'][0]['data'][] = round((float) $temperature[$key]['value'], 1);
                } else {
                    $values['datasets'][0]['data'][] = null;
                }
                $values['datasets'][0]['unit'] = '°C';
                $values['datasets'][0]['type'] = 'line';
                $values['datasets'][0]['valueDecimals'] = '1';
            }

            // Precipitation
            $values['datasets'][1]['name'] = 'Precipitation';
            if (isset($preci['value'])) {
                $values['datasets'][1]['data'][] = round((float) $preci['value'], 1);
            } else {
                $values['datasets'][1]['data'][] = null;
            }
            $values['datasets'][1]['unit'] = 'mm';
            $values['datasets'][1]['type'] = 'column';
            $values['datasets'][1]['valueDecimals'] = '2';

            // WindSpeed
            if ($windspeed !== null) {
                $values['datasets'][2]['name'] = 'Wind Speed';
                if (isset($windspeed[$key]['value'])) {
                    $values['datasets'][2]['data'][] = round((float) $windspeed[$key]['value'], 1);
                } else {
                    $values['datasets'][2]['data'][] = null;
                }
                $values['datasets'][2]['unit'] = 'm/s';
                $values['datasets'][2]['type'] = 'scatter';
                $values['datasets'][2]['valueDecimals'] = '1';
            }

            // WindGust
            if ($windgust !== null) {
                $values['datasets'][3]['name'] = 'Wind Gust';
                if (isset($windgust[$key]['value'])) {
                    $values['datasets'][3]['data'][] = round((float) $windgust[$key]['value'], 1);
                } else {
                    $values['datasets'][3]['data'][] = null;
                }
                $values['datasets'][3]['unit'] = 'm/s';
                $values['datasets'][3]['type'] = 'scatter';
                $values['datasets'][3]['valueDecimals'] = '1';
            }

            if ($winddirections !== null) {
                $values['datasets'][4]['name'] = 'Wind Direction';
                if (isset($winddirections[$key]['value'])) {
                    $values['datasets'][4]['data'][] = round((float) $winddirections[$key]['value'], 1);
                } else {
                    $values['datasets'][4]['data'][] = null;
                }
                $values['datasets'][4]['unit'] = '°';
                $values['datasets'][4]['type'] = 'scatter';
                $values['datasets'][4]['valueDecimals'] = '2';
            }

            #############################################

            // Humidity
            if ($humidity !== null) {
                $values['datasets'][5]['name'] = 'Humidity';
                if (isset($humidity[$key]['value'])) {
                    $values['datasets'][5]['data'][] = (int) $humidity[$key]['value'];
                } else {
                    $values['datasets'][5]['data'][] = null;
                }
                $values['datasets'][5]['unit'] = '%';
                $values['datasets'][5]['type'] = 'line';
                $values['datasets'][5]['valueDecimals'] = '0';
            }

            // SolarRadiation
            if ($solar !== null) {
                $values['datasets'][6]['name'] = 'Solar Radiation';
                if (isset($solar[$key]['value'])) {
                    $values['datasets'][6]['data'][] = (int) $solar[$key]['value'];
                } else {
                    $values['datasets'][6]['data'][] = null;
                }
                $values['datasets'][6]['unit'] = 'W/m2';
                $values['datasets'][6]['type'] = 'line';
                $values['datasets'][6]['valueDecimals'] = '2';
            }
        }
        //        dd($values);
        return response($values);
    }

    // Weather Station Get dates and redirecting --curw
    public function getFormDataCurw(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $station = $request->input('station');
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.ws', ['station' => $station, 'start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $station = $request->input('station');
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.ws', ['station' => $station, 'start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    public function getFormData(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $station = $request->input('station');
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.int.ws', ['station' => $station, 'start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $station = $request->input('station');
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.int.ws', ['station' => $station, 'start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    /*
     *
     * Water Level Stations
     *
     * */

    // Water Level Station Past data function
    public function pastObservedWL($station, $start_date, $end_date)
    {
        date_default_timezone_set('Asia/Colombo');
        set_time_limit(0);
        // Check weather station result status
        $result = null;
        $max = 0;
        $result_updated = null;

        $runview = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($runview !== null) {
            $result = $runview
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();

            $max = $runview
                ->data()
                ->select(DB::raw('Max(value) as value'))
                ->where('time', '>=', $start_date)
                ->orderBy('value', 'desc')
                ->first();

            $sum = $runview
                ->data()
                ->select(DB::raw('SUM(value) as value'))
                ->where('time', '>=', $start_date)
                ->orderBy('value', 'desc')
                ->first();

            //            $max = round($sum['value']/$result->count(), 2);

            $result_updated = $this->getValueObservedWL($station);
        }

        //        dd($result_updated);


        $observeController = new ObserveController();

        // Set values
        $values = array(
            'station' => $station,
            'coordinates' => $observeController->getCoordinates($station),
            'water_level' => $result_updated['value'],
            'updated' => $result_updated['time'],
            'result' => $result,
            'start_date' => $start_date,
            'end_date' => $end_date,
            'max' => $max
        );

        return view('frontend.dynamic.past.wl-observed')->with(['values' => $values]);
    }

    // Water level & Observed Rainfall
    public function pastObservedWLR($station, $rainfall, $start_date, $end_date)
    {
        date_default_timezone_set('Asia/Colombo');
        set_time_limit(0);
        // Check weather station result status
        $result = null;
        $max = 0;
        $result_updated = null;

        $rainfall_run = \App\Models\RunView\runview::where('station', $rainfall)
            ->where('variable', 'Precipitation')
            ->where('source', 'WeatherStation')
            ->where('start_date', '!=', null)
            ->first();

        if ($rainfall_run !== null) {
            $rainfall_values = $rainfall_run
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();
        }

        $runview = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($runview !== null) {
            $result = $runview
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();

            $max = $runview
                ->data()
                ->select(DB::raw('Max(value) as value'))
                ->where('time', '>=', $start_date)
                ->orderBy('value', 'desc')
                ->first();

            $sum = $runview
                ->data()
                ->select(DB::raw('SUM(value) as value'))
                ->where('time', '>=', $start_date)
                ->orderBy('value', 'desc')
                ->first();

            //            $max = round($sum['value']/$result->count(), 2);

            $result_updated = $this->getValueObservedWL($station);
        }

        //        dd($result_updated);


        $observeController = new ObserveController();

        // Set values
        $values = array(
            'station' => $station,
            'rainfall' => $rainfall,
            'coordinates' => $observeController->getCoordinates($station),
            'water_level' => $result_updated['value'],
            'updated' => $result_updated['time'],
            'result' => $result,
            'rainfall_values' => $rainfall_values,
            'start_date' => $start_date,
            'end_date' => $end_date,
            'max' => $max
        );

        //        dd($values['rainfall_values']);

        return view('frontend.dynamic.past.wlr-observed')->with(['values' => $values]);
    }

    public function getValueObservedWL($station)
    {
        $runview = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        $result_updated = $runview
            ->data()
            ->select(['time', 'value'])
            ->orderBy('time', 'desc')
            ->first();

        $values = array(
            'value' => $result_updated['value'],
            'time' => Carbon::parse($result_updated['time'])->diffForHumans()
        );

        return $values;
    }

    public function getFormDataObservedWL(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $station = $request->input('station');
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.wl.obs', ['station' => $station, 'start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $station = $request->input('station');
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.wl.obs', ['station' => $station, 'start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    public function getFormDataObservedWLR(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $station = $request->input('station');
            $rainfall = $request->input('rainfall');
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.wlr.obs', ['station' => $station, 'rainfall' => $rainfall, 'start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $station = $request->input('station');
            $rainfall = $request->input('rainfall');
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.wlr.obs', ['station' => $station, 'rainfall' => $rainfall, 'start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    public function getObservedWLDynamic($station, $start_date, $end_date)
    {
        $values = [];
        $dataset = null;

        set_time_limit(0);
        $start_date = Carbon::parse($start_date . ' 00:00:00');
        $end_date = Carbon::parse($end_date . ' 23:00:00');

        $run = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($run != null) {
            $dataset = $run->data()->where('time', '<=', $end_date)->where('time', '>=', $start_date)->orderBy('time', 'asc')->get();
        }
        // Creating json response
        if ($dataset->isNotEmpty()) {
            foreach ($dataset as $data) {
                $values['xData'][] = strtotime($data['time']) * 1000;
                $values['data'][] = round((float) $data['value'], 2);
            }
            $values['name'] = 'Water Level';
            $values['unit'] = 'M';
            $values['type'] = 'line';
            $values['valueDecimals'] = '2';
            $values['min'] = round((array_sum($dataset->pluck('value')->toArray()) / $dataset->count()) / 3, 2);
        }
        return response($values);
    }
    public function getObservedWLRDynamic($station, $rainfall, $start_date, $end_date)
    {
        $values = [];
        $dataset = null;

        set_time_limit(0);
        $start_date = Carbon::parse($start_date . ' 00:00:00');
        $end_date = Carbon::parse($end_date . ' 23:00:00');

        $run = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($run != null) {
            $dataset = $run->data()->where('time', '<=', $end_date)->where('time', '>=', $start_date)->orderBy('time', 'asc')->get();
        }

        $rainfall_run = \App\Models\RunView\runview::where('station', $rainfall)
            ->where('variable', 'Precipitation')
            ->where('source', 'WeatherStation')
            ->where('start_date', '!=', null)
            ->first();

        if ($rainfall_run !== null) {
            $rainfall_values = $rainfall_run
                ->data()
                ->where('time', '>=', $start_date)
                ->select(['time', 'value'])
                ->get();
        }


        // Creating json response
        if ($dataset->isNotEmpty()) {
            foreach ($dataset as $key => $data) {
                $values['xData'][] = strtotime($data['time']) * 1000;
                $values['datasets'][0]['data'][] = round((float) $data['value'], 2);
                if (isset($rainfall_values[$key])) {
                    $values['datasets'][1]['data'][] = round((float) $rainfall_values[$key]['value'], 2);
                }
            }
            $values['datasets'][0]['name'] = 'Water Level';
            $values['datasets'][0]['unit'] = 'M';
            $values['datasets'][0]['type'] = 'line';
            $values['datasets'][0]['valueDecimals'] = '2';
            $values['datasets'][0]['min'] = round((array_sum($dataset->pluck('value')->toArray()) / $dataset->count()) / 3, 2);

            $values['datasets'][1]['name'] = 'Rainfall';
            $values['datasets'][1]['unit'] = 'mm';
            $values['datasets'][1]['type'] = 'column';
            $values['datasets'][1]['valueDecimals'] = '2';
        }
        return response($values);
    }

    // Canal Levels key map
    public function mapCanalLevels()
    {
        set_time_limit(0);
        $stations = null;

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));

        $all_stations = CurwStation::select('id', 'name', 'latitude', 'longitude')->where('id', '>', 1200000)->where('id', '<', '1300000')->get();

        if ($all_stations->isNotEmpty()) {
            foreach ($all_stations as $station) {
                $run = runview::where('station', $station->name)
                    ->where('type', 'Forecast-0-d')
                    ->where('variable', 'Waterlevel')
                    ->where('name', 'cloud-1')
                    ->where('source', 'FLO2D')
                    ->first();

                if ($run !== null) {
                    $d = $run->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get();

                    if ($d->isNotEmpty()) {
                        $stations[] = $station;
                    }
                }
            }
        }
        //        dd($stations);
        return view('frontend.dynamic.map.canal-levels')->with(['stations' => $stations]);
    }

    // Water Levels Observed key map
    public function mapWaterLevelsObserved()
    {
        set_time_limit(0);

        return view('frontend.dynamic.map.water-levels-observed')->with(['stations' => $this->getObservedWLStations()]);
    }

    // Getting water level stations
    public function getObservedWLStations()
    {
        $stations = null;
        $coordinates = [];

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));

        $runs = runview::whereIn('name', ['Leecom', 'A&T Labs'])->where('source', 'WeatherStation')->where('variable', 'Waterlevel')->where('type', 'Observed')->get();

        if ($runs->isNotEmpty()) {
            foreach ($runs as $key => $run) {
                if ($run !== null) {
                    $d = $run->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get();

                    if ($d->isNotEmpty()) {
                        $stations[$key]['name'] = $run->station;
                        $stations[$key]['longitude'] = CurwStation::where('name', $run->station)->value('longitude');
                        $stations[$key]['latitude'] = CurwStation::where('name', $run->station)->value('latitude');
                    }
                }
            }
        }

        return $stations;
    }

    // Get Canal levels - flo2d
    public function getFlo2dCanalLevels($station)
    {
        $values = [];

        // Getting Temperature
        $ScreenController = new ScreenController();

        // Creating json response
        if ($ScreenController->dataWL($station) !== null) {
            foreach ($ScreenController->dataWL($station) as $data) {
                $values['xData'][] = $data['time'];
                $values['data'][] = round((float) $data['value'], 2);
            }
            $values['name'] = 'Water Level';
            $values['unit'] = 'm MSL';
            $values['type'] = 'line';
            $values['valueDecimals'] = '2';
        }
        return response($values);
    }

    // Get Canal levels - flo2d150
    public function getFlo2d150CanalLevels($station)
    {
        $values = [];

        // Getting Temperature
        $ScreenController = new ScreenController();

        // Creating json response
        if ($ScreenController->dataWL($station) !== null) {
            foreach ($ScreenController->dataWL($station) as $data) {
                $values['xData'][] = $data['time'];
                $values['data'][] = round((float) $data['value'], 2);
            }
            $values['name'] = 'Water Level';
            $values['unit'] = 'm MSL';
            $values['type'] = 'line';
            $values['valueDecimals'] = '2';
        }
        return response($values);
    }

    // Get Water Levels Observed
    public function getWaterLevelsObserved($station)
    {
        $values = [];
        $dataset = null;

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));

        $run = runview::where('station', $station)
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($run != null) {
            $dataset = $run->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get();
        }
        // Creating json response
        if ($dataset->isNotEmpty()) {
            foreach ($dataset as $data) {
                $values['xData'][] = strtotime($data['time']) * 1000;
                $values['data'][] = round((float) $data['value'], 2);
            }
            $values['name'] = 'Water Level';
            $values['unit'] = 'M';
            $values['type'] = 'line';
            $values['valueDecimals'] = '2';
        }
        return response($values);
    }

    // Observed past data multiple maps
    public function pastObservedMap()
    {
        set_time_limit(0);

        $wl_stations = null;
        $ws_stations = null;

        // get water level stations
        $wl_stations = $this->getObservedWLStations();

        // get weather stations
        $stations = Station::where('id', '<', 200000)->get();
        if ($stations) {
            foreach ($stations as $key => $station) {
                $runview_st = \App\Models\RunView\runview::where('station', $station->name)->where('variable', 'Precipitation')->whereIn('name', ['CUrW IoT', 'A&T Labs', 'Leecom'])->where('source', 'WeatherStation')->first();

                if ($runview_st !== null) {
                    if ($station->name !== 'Kohuwala' || $station->name !== 'KLB Obs') {
                        $ws_stations[$key]['name'] = $station->name;
                        $ws_stations[$key]['longitude'] = CurwStation::where('name', $station->name)->value('longitude');
                        $ws_stations[$key]['latitude'] = CurwStation::where('name', $station->name)->value('latitude');
                    }
                }
            }
        }

        return view('frontend.dynamic.map.multiple-observed-maps')->with(['wl_stations' => $wl_stations, 'ws_stations' => $ws_stations]);
        //        return view('frontend.dynamic.map.multiple-observed-maps')->with(['wl_stations' => $wl_stations]);
        //        return view('frontend.dynamic.map.multiple-observed-maps');
    }

    // Observed past data multiple maps water level
    public function pastObservedMapWL($start, $end)
    {
        set_time_limit(0);

        $wl_stations = null;

        // get water level stations
        $wl_stations = $this->getObservedWLStations();

        //values
        $values = array(
            'start_date' => $start,
            'end_date' => $end
        );

        return view('frontend.dynamic.map.multiple-observed-maps-wl')->with(['wl_stations' => $wl_stations, 'values' => $values]);
    }

    // Weather Station Get dates and redirecting --curw
    public function getFormDataCurwWL(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.obs.map.wl', ['start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.obs.map.wl', ['start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    // Observed past data multiple maps rainfall
    public function pastObservedMapRain($start, $end)
    {
        set_time_limit(0);

        $ws_stations = null;

        // get weather stations
        $stations = Station::where('id', '<', 200000)->get();
        if ($stations) {
            foreach ($stations as $key => $station) {
                $runview_st = \App\Models\RunView\runview::where('station', $station->name)->where('variable', 'Precipitation')->whereIn('name', ['CUrW IoT', 'A&T Labs', 'Leecom'])->where('source', 'WeatherStation')->first();

                if ($runview_st !== null) {
                    if ($station->name !== 'Kohuwala' || $station->name !== 'KLB Obs') {
                        $ws_stations[$key]['name'] = $station->name;
                        $ws_stations[$key]['longitude'] = CurwStation::where('name', $station->name)->value('longitude');
                        $ws_stations[$key]['latitude'] = CurwStation::where('name', $station->name)->value('latitude');
                    }
                }
            }
        }

        //values
        $values = array(
            'start_date' => $start,
            'end_date' => $end
        );

        return view('frontend.dynamic.map.multiple-observed-maps-rain')->with(['ws_stations' => $ws_stations, 'values' => $values]);
    }

    // Weather Station Get dates and redirecting --curw
    public function getFormDataCurwRain(Request $request)
    {
        set_time_limit(0);
        if ($request->has('start_date')) {
            $start_date = $request->input('start_date');
            $end_date = $request->input('end_date');

            return redirect()->route('frontend.dynamic.past.obs.map.rain', ['start_date' => $start_date, 'end_date' => $end_date]);
        } else if ($request->has('current_start_date')) {
            $current_start_date = $request->input('current_start_date');
            $current_end_date = $request->input('current_end_date');

            return redirect()->route('frontend.dynamic.past.obs.map.rain', ['start_date' => $current_start_date, 'end_date' => $current_end_date])->withFlashWarning('Invalid Date range');
        }
    }

    public function getPastDataObsWL($start, $end, Request $request)
    {

        $values = array();
        $dataset = array();
        $arry = array();
        // $max = 3;
        $end = Carbon::parse($end)->format("Y-m-d H:i:s");
        $start = Carbon::parse($start)->format("Y-m-d H:i:s");

        $values['name'] = $request->get('station');
        $values['id'] = strtolower(str_replace(' ', '_', $request->get('station')));

        $run = runview::where('station', $request->get('station'))
            ->whereIn('name', ['Leecom', 'A&T Labs'])
            ->where('source', 'WeatherStation')
            ->where('variable', 'Waterlevel')
            ->where('type', 'Observed')
            ->first();

        if ($run != []) {
            $dataset = $run->data()
                ->where('time', '<=', $end)
                ->where('time', '>=', $start)
                ->orderBy('time', 'asc')
                ->get()
                ->toArray();
        }
        // Creating json response
        if ($dataset !== null) {
            foreach ($dataset as $data) {
                $values['data'][] = round((float) $data['value'], 2);
                $arry[] = array(strtotime($data['time']) * 1000, round((float) $data['value'], 2));
            }

            $values['max'] = $run->data()->select(DB::raw('MAX(value) as value'))->where('time', '<=', $end)->where('time', '>=', $start)->orderBy('value', 'desc')->first()['value'];
            //            dd($max);
        }
        $values['values'] = $arry;

        return response($values);
    }

    public function getPastDataObsWS($start, $end, Request $request)
    {
        set_time_limit(0);

        $values = array();
        $dataset = array();
        $arry = array();
        $accumulations = array();
        $station = $request->get('station');
        $end = Carbon::parse($end)->format("Y-m-d H:i:s");
        $start = Carbon::parse($start)->format("Y-m-d H:i:s");

        $values['name'] = $request->get('station');
        $values['id'] = strtolower(str_replace(' ', '_', $station));
        // dd($values['name']);
        // Getting Precipitation
        if ($station == 'Orugodawatta') {
            $run = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('name', 'CUrW IoT')
                ->where('start_date', '!=', null)
                ->first();
        } else {
            $run = \App\Models\RunView\runview::where('station', $station)
                ->where('variable', 'Precipitation')
                ->where('source', 'WeatherStation')
                ->where('start_date', '!=', null)
                ->first();
        }

        if ($run != []) {
            $dataset = $run->data()
                ->where('time', '<=', $end)
                ->where('time', '>=', $start)
                ->orderBy('time', 'asc')
                ->get()
                ->toArray();

            $getTime = $run->data()
                ->where('time', '<=', $end)
                ->where('time', '>=', $start)
                ->orderBy('time', 'desc')
                ->first();

            $time = $getTime['time'];

            $sum_10m_data = $run->data()
                ->select('value')
                ->where('time', '<=', $time)
                ->where('time', '>=', Carbon::parse($time)->subMinutes(10))
                ->get()
                ->toArray();

            $sum_10m = 0;
            if ($sum_10m_data !== null) {
                foreach ($sum_10m_data as $value) {
                    $sum_10m += $value['value'];
                }
            }

            $sum_30m_data = $run->data()
                ->select('value')
                ->where('time', '<=', $time)
                ->where('time', '>=', Carbon::parse($time)->subMinutes(30))
                ->get()
                ->toArray();

            $sum_30m = 0;
            if ($sum_30m_data !== null) {
                foreach ($sum_30m_data as $value) {
                    $sum_30m += $value['value'];
                }
            }

            $sum_1h_data = $run->data()
                ->select('value')
                ->where('time', '<=', $time)
                ->where('time', '>=', Carbon::parse($time)->subHour(1))
                ->get()
                ->toArray();

            $sum_1h = 0;
            if ($sum_1h_data !== null) {
                foreach ($sum_1h_data as $value) {
                    $sum_1h += $value['value'];
                }
            }

            $sum_3h_data = $run->data()
                ->select('value')
                ->where('time', '<=', $time)
                ->where('time', '>=', Carbon::parse($time)->subHours(3))
                ->get()
                ->toArray();

            $sum_3h = 0;
            if ($sum_3h_data !== null) {
                foreach ($sum_3h_data as $value) {
                    $sum_3h += $value['value'];
                }
            }

            // dd($sum_3h);

            $accumulations = [round((float) $sum_10m, 2), round((float) $sum_30m, 2), round((float) $sum_1h, 2), round((float) $sum_3h, 2)];
        }
        // Creating json response
        if ($dataset !== null) {
            foreach ($dataset as $data) {
                $values['data'][] = round((float) $data['value'], 2);
                $arry[] = array(strtotime($data['time']) * 1000, round((float) $data['value'], 2));
            }
        }
        $values['values'] = $arry;
        $values['accumulations'] = $accumulations;

        return response($values);
    }
}
