<?php

namespace App\Http\Controllers\Frontend\Events;

use DateTime;
use Carbon\Carbon;
use App\Models\RunView\runview;
use App\Models\IOT\station;
use App\Http\Controllers\Controller;

class EventsController extends Controller
{
    public function event2017()
    {
        $counts = null;
        $values = null;
        $run = null;

        $run = Runview::where('station', 'Colombo Catchment')->where('name', '2017 Flood Event')->where('variable', 'AffectedBuildings')->first();

        if ($run !== null) {
            $counts = $run
                ->data()
                ->select(['time', 'value'])
                ->get();
        }

        foreach ($counts as $value) {
            $value['time'] = strtotime($value['time']) * 1000;
            $values[] = $value;
        }

        return view('frontend.graphs.events.2017')->with(['values' => $values]);
    }
}
