<?php

namespace App\Http\Controllers\Frontend\Statics;

use App\Models\Stations\Station;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\RunView\runview;
use App\Models\Source\source;
use App\Models\Data\data;
use DateTime;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class StaticController extends Controller
{
    public function __construct()
    {
        set_time_limit(0);
    }

    public function iotTest(Request $request)
    {
        return response(200);
    }
    public function index($station, $date)
    {
        $start_date = $date;
        $date = $date . ' 00:00:00';
        $dynamic_date = Carbon::parse($date)->format('Y');

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');

        $run_names = Runview::where('station', $station)->where('name', $dynamic_date . ' May Flood')->orderBy('type', 'asc')->get();

        $end_date = Carbon::parse($date)->addDays(count($run_names) - 1)->format('Y-m-d');

        foreach ($run_names as $run_name) {
            $types[] = $run_name->type;
        }
        foreach ($run_names as $run) {
            $all_data[] = $run->data()->select(DB::raw('DISTINCT time'), DB::raw('value'))->orderBy('time', 'asc')->get();;
        }

        $static_data = [];
        foreach ($all_data as $data) {
            $static_data = $data->toBase()->merge($static_data);
            $static_data = $static_data->sort();
        }


        $static_data = $static_data->toArray();
//        dd(count($all_data), count($static_data));
        // Getting observe station run
        $obs_run = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station)->where('name', $dynamic_date . ' May Event')->first();
//        dd($obs_run);
        // Getting obs data from data table
        if ($obs_run != null) {
            $obs_data = $obs_run->data()->distinct('time')->orderBy('time', 'asc')->get()->toArray();
        }

//        dd($data_1);
        // Merge static run data
//        $data = array_merge($data_1, $data_2);
//        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['ob_value'] = 'undefined';
            $time = $value['time'];
            $value['time'] = DateTime::createFromFormat('Y-m-d H:i:s', $value['time'])->format('Y-m-d H:i:s');
            $value['time'] = date('Y,m,d,H,i,s', strtotime('- 1 month', strtotime($value['time'])));

            if ($obs_run != null) {
                foreach ($obs_data as $ob_value) {
                    if ($ob_value['value'] < -100) {
                        $ob_value['value'] = 0;
                    }
//                    dd($time, $ob_value['time']);
                    if ($time == $ob_value['time']) {
//                        dd($value['time'], $ob_value['time']);
                        $value['ob_value'] = $ob_value['value'];
                        break;

                    }
//                    else{
//                        dd('no');
//                    }
                }
            }
            $values[] = $value;
        }

        if ($values == null) {
            echo 'no data available, try with different parameters';
        } else {
            return view('frontend.graphs.static.station')->with(['values' => $values, 'station' => $station, 'obs_station' => $station, 'start_date' => $start_date, 'end_date' => $end_date, 'types' => $types, 'date' => $dynamic_date]);
        }

    }

    public function research($station1, $station2, $date)
    {
        // Initializing variables
        $start_date = $date;
        $date = $date . ' 00:00:00';
        $dynamic_date = Carbon::parse($date)->format('Y');

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');

        // Checking two stations different
        if ($station1 == $station2) {
            // Getting run data
            $run_names = Runview::where('station', $station1)->where('name', $dynamic_date . ' May Flood')->where('type', '!=', 'Forecast-0-d')->orderBy('type', 'asc')->get();

            // Set end date
            $end_date = Carbon::parse($date)->addDays(count($run_names) - 1)->format('Y-m-d');

            // Getting forecast types
            foreach ($run_names as $run_name) {
                $types[] = $run_name->type;
            }

//            dd($types)

            // Getting data from Data table
            foreach ($run_names as $run) {
                $all_data[] = $run->data()->select(DB::raw('DISTINCT time'), DB::raw('value'))->orderBy('time', 'asc')->get();
            }

            // Merge Data table data
            $static_data = [];
            foreach ($all_data as $data) {
                $static_data = $data->toBase()->merge($static_data);
                $static_data = $static_data->sort();
            }

            // Convert to array
            $static_data = $static_data->toArray();

            // Getting observe station run
            $obs_run = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station1)->where('name', $dynamic_date . ' May Event')->first();

            // Getting obs data from data table
            if ($obs_run != null) {
                $obs_data = $obs_run->data()->distinct('time')->orderBy('time', 'asc')->get()->toArray();
            }

            // Creating data set
            $values = null;
            foreach ($static_data as $value) {
                $value['ob_value'] = 'undefined';
                $time = $value['time'];
                $value['time'] = strtotime($value['time']) * 1000;
//                $value['time'] = DateTime::createFromFormat('Y-m-d H:i:s', $value['time'])->format('Y-m-d H:i:s');
//                $value['time'] = date('Y,m,d,H,i,s', strtotime('- 1 month', strtotime($value['time'])));

                // Set observed values
                if ($obs_run != null) {
                    foreach ($obs_data as $ob_value) {
                        if ($ob_value['value'] < -100) {
                            $ob_value['value'] = 0;
                        }
//                    dd($time, $ob_value['time']);
                        if ($time == $ob_value['time']) {
//                        dd($value['time'], $ob_value['time']);
                            $value['ob_value'] = $ob_value['value'];
                            break;

                        }
                    }
                }
                $values[] = $value;
            }

//            dd(json_encode($values,JSON_NUMERIC_CHECK));

            // Return values
            if ($values == null) {
                echo 'no data available, try with different parameters';
            } else {
                return view('frontend.graphs.static.research')->with(['values' => $values, 'station' => $station1, 'obs_station' => $station1, 'start_date' => $start_date, 'end_date' => $end_date, 'types' => $types, 'date' => $dynamic_date, 'values_2' => json_encode($values, JSON_NUMERIC_CHECK)]);
            }
        } else {
            // Getting run data
            $run_names_1 = Runview::where('station', $station1)->where('name', $dynamic_date . ' May Flood')->orderBy('type', 'asc')->get();

            // Set end date
            $end_date_1 = Carbon::parse($date)->addDays(count($run_names_1) - 1)->format('Y-m-d');

            // Getting forecast types
            foreach ($run_names_1 as $run_name_1) {
                $types_1[] = $run_name_1->type;
            }

            // Getting data from Data table
            foreach ($run_names_1 as $run_1) {
                $all_data_1[] = $run_1->data()->select(DB::raw('DISTINCT time'), DB::raw('value'))->orderBy('time', 'asc')->get();;
            }

            // Merge Data table data
            $static_data_1 = [];
            foreach ($all_data_1 as $data_1) {
                $static_data_1 = $data_1->toBase()->merge($static_data_1);
                $static_data_1 = $static_data_1->sort();
            }

            // Convert to array
            $static_data_1 = $static_data_1->toArray();

            // Getting observe station run
            $obs_run_1 = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station1)->where('name', $dynamic_date . ' May Event')->first();

            // Getting obs data from data table
            if ($obs_run_1 != null) {
                $obs_data_1 = $obs_run_1->data()->distinct('time')->orderBy('time', 'asc')->get()->toArray();
            }

            // Creating data set
            $values_1 = null;
            foreach ($static_data_1 as $value_1) {
                $value_1['ob_value'] = 'undefined';
                $time = $value_1['time'];
                $value_1['time'] = DateTime::createFromFormat('Y-m-d H:i:s', $value_1['time'])->format('Y-m-d H:i:s');
                $value_1['time'] = date('Y,m,d,H,i,s', strtotime('- 1 month', strtotime($value_1['time'])));

                // Set observed values
                if ($obs_run_1 != null) {
                    foreach ($obs_data_1 as $ob_value_1) {
                        if ($ob_value_1['value'] < -100) {
                            $ob_value_1['value'] = 0;
                        }
//                    dd($time, $ob_value['time']);
                        if ($time == $ob_value_1['time']) {
//                        dd($value['time'], $ob_value['time']);
                            $value_1['ob_value'] = $ob_value_1['value'];
                            break;

                        }
                    }
                }
                $values_1[] = $value_1;
            }

            // 2nd station data

            // Getting run data
            $run_names_2 = Runview::where('station', $station2)->where('name', $dynamic_date . ' May Flood')->orderBy('type', 'asc')->get();

            // Set end date
            $end_date_2 = Carbon::parse($date)->addDays(count($run_names_2) - 1)->format('Y-m-d');

            // Getting forecast types
            foreach ($run_names_2 as $run_name_2) {
                $types_2[] = $run_name_2->type;
            }

            // Getting data from Data table
            foreach ($run_names_2 as $run_2) {
                $all_data_2[] = $run_2->data()->select(DB::raw('DISTINCT time'), DB::raw('value'))->orderBy('time', 'asc')->get();;
            }

            // Merge Data table data
            $static_data_2 = [];
            foreach ($all_data_2 as $data_2) {
                $static_data_2 = $data_2->toBase()->merge($static_data_2);
                $static_data_2 = $static_data_2->sort();
            }

            // Convert to array
            $static_data_2 = $static_data_2->toArray();

            // Getting observe station run
            $obs_run_2 = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station2)->where('name', $dynamic_date . ' May Event')->first();

            // Getting obs data from data table
            if ($obs_run_2 != null) {
                $obs_data_2 = $obs_run_2->data()->distinct('time')->orderBy('time', 'asc')->get()->toArray();
            }

            // Creating data set
            $values_2 = null;
            foreach ($static_data_2 as $value_2) {
                $value_2['ob_value'] = 'undefined';
                $time = $value_2['time'];
                $value_2['time'] = DateTime::createFromFormat('Y-m-d H:i:s', $value_2['time'])->format('Y-m-d H:i:s');
                $value_2['time'] = date('Y,m,d,H,i,s', strtotime('- 1 month', strtotime($value_2['time'])));

                // Set observed values
                if ($obs_run_2 != null) {
                    foreach ($obs_data_2 as $ob_value_2) {
                        if ($ob_value_2['value'] < -100) {
                            $ob_value_2['value'] = 0;
                        }
//                    dd($time, $ob_value['time']);
                        if ($time == $ob_value_2['time']) {
                            $value_2['ob_value'] = $ob_value_2['value'];
                            break;
                        }
                    }
                }
                $values_2[] = $value_2;
            }

            $all_values = array(
                'values_1' => $values_1,
                'values_2' => $values_2,
                'station_1' => $station1,
                'station_2' => $station2,
                'types_1' => $types_1,
                'types_2' => $types_2,
                'start_date' => $start_date,
                'end_date_1' => $end_date_1,
                'end_date_2' => $end_date_2
            );

            // Return values
            if ($all_values == null) {
                echo 'no data available, try with different parameters';
            } else {
                return view('frontend.graphs.static.research-2')->with(['all_values' => $all_values, 'date' => $dynamic_date]);
            }
        }
    }

    public function researchSingle($station1, $station2, $date)
    {
        // Initializing variables
        $start_date = $date;
        $date = $date . ' 00:00:00';
        $dynamic_date = Carbon::parse($date)->format('Y');

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');

        // Checking two stations different
        if ($station1 == $station2) {
            // Getting run data
            $run_names = Runview::where('station', $station1)->where('name', $dynamic_date . ' May Flood')->where('type', '!=', 'Forecast-0-d')->orderBy('type', 'asc')->get();

            // Set end date
            $end_date = Carbon::parse($date)->addDays(count($run_names) - 1)->format('Y-m-d');

            // Getting forecast types
            foreach ($run_names as $run_name) {
                $types[] = $run_name->type;
            }

//            dd($types)

            // Getting data from Data table
            foreach ($run_names as $run) {
                $all_data[] = $run->data()->select(DB::raw('DISTINCT time'), DB::raw('value'))->orderBy('time', 'asc')->get();
            }

            // Merge Data table data
            $static_data = [];
            foreach ($all_data as $data) {
                $static_data = $data->toBase()->merge($static_data);
                $static_data = $static_data->sort();
            }

            // Convert to array
            $static_data = $static_data->toArray();

            // Getting observe station run
            $obs_run = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station1)->where('name', $dynamic_date . ' May Event')->first();

            // Getting obs data from data table
            if ($obs_run != null) {
                $obs_data = $obs_run->data()->distinct('time')->orderBy('time', 'asc')->get()->toArray();
            }

            // Creating data set
            $values = null;
            foreach ($static_data as $value) {
                $value['ob_value'] = 'undefined';
                $time = $value['time'];
                $value['time'] = strtotime($value['time']) * 1000;
//                $value['time'] = DateTime::createFromFormat('Y-m-d H:i:s', $value['time'])->format('Y-m-d H:i:s');
//                $value['time'] = date('Y,m,d,H,i,s', strtotime('- 1 month', strtotime($value['time'])));

                // Set observed values
                if ($obs_run != null) {
                    foreach ($obs_data as $ob_value) {
                        if ($ob_value['value'] < -100) {
                            $ob_value['value'] = 0;
                        }
//                    dd($time, $ob_value['time']);
                        if ($time == $ob_value['time']) {
//                        dd($value['time'], $ob_value['time']);
                            $value['ob_value'] = $ob_value['value'];
                            break;

                        }
                    }
                }
                $values[] = $value;
            }

            return view('frontend.graphs.static.research-single')->with(['values' => $values, 'station' => $station1, 'obs_station' => $station1, 'start_date' => $start_date, 'end_date' => $end_date, 'types' => $types, 'date' => $dynamic_date, 'values_2' => json_encode($values, JSON_NUMERIC_CHECK)]);
        }
    }

    public function daily($station)
    {
        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
        $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
        $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
        $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting static station runs from run view
        $run_1 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->first();
        $run_2 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->first();
        $run_3 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->first();

//        dd($run_2);

        // Getting data from data table
        $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
        $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
        $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();

        // Getting observe station run
        $obs_run = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station)->first();

        // Getting obs data from data table
        if ($obs_run != null) {
            $obs_data = $obs_run->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
        }

//        dd($data_1);
        // Merge static run data
        $data = array_merge($data_1, $data_2);
        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['ob_value'] = 'undefined';
            $time = $value['time'];
            $value['time'] = strtotime($value['time']) * 1000;

            if ($obs_run != null) {
                foreach ($obs_data as $ob_value) {
                    if ($ob_value['value'] < -100) {
                        $ob_value['value'] = 0;
                    }
                    if ($time == $ob_value['time']) {
                        $value['ob_value'] = $ob_value['value'];
                        break;

                    }
                }
            }
            $values[] = $value;
        }

        if ($values == null) {
            $current_date = Carbon::yesterday();
            $current_date = $current_date->toDateString();

            $date = $current_date . ' 00:00:00';

            // Creating Dates
            $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
            $date_1_start = date('Y-m-d H:i:s', strtotime($date));
            $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
            $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
            $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
            $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
            $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

            // Getting static station runs from run view
            $run_1 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->first();
            $run_2 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->first();
            $run_3 = Runview::where('variable', 'Waterlevel')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->first();

//        dd($run_2);

            // Getting data from data table
            $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
            $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
            $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();

            // Getting observe station run
            $obs_run = Runview::where('variable', 'Waterlevel')->where('type', 'Observed')->where('station', $station)->first();

            // Getting obs data from data table
            if ($obs_run != null) {
                $obs_data = $obs_run->data()->orderBy('time', 'asc')->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->get()->toArray();
            }

//        dd($data_1);
            // Merge static run data
            $data = array_merge($data_1, $data_2);
            $static_data = array_merge($data, $data_3);

            // Creating data set
            $values = null;
            foreach ($static_data as $value) {
                $value['ob_value'] = 'undefined';
                $time = $value['time'];
                $value['time'] = strtotime($value['time']) * 1000;

                if ($obs_run != null) {
                    foreach ($obs_data as $ob_value) {
                        if ($ob_value['value'] < -100) {
                            $ob_value['value'] = 0;
                        }
                        if ($time == $ob_value['time']) {
                            $value['ob_value'] = $ob_value['value'];
                            break;

                        }
                    }
                }
                $values[] = $value;
            }
        }
//        dd($values);
        if ($values == null) {
            echo 'no data available, try with different parameters';
        } else {
            return view('frontend.graphs.static.daily')->with(['values' => $values, 'station' => $station, 'start_date' => $date_1_start, 'end_date' => $date_3_end]);
//            dd($data, $obs_data);
        }
    }

    public function researchIndex()
    {
        $stations_16 = RunView::select(DB::raw('DISTINCT station'))->where('name', '2016 May Flood')->where('variable', 'Waterlevel')->where('type', 'HistoricalEvents')->orderBy('station', 'asc')->get();
        $stations_17 = RunView::select(DB::raw('DISTINCT station'))->where('name', '2017 May Flood')->where('variable', 'Waterlevel')->where('type', 'HistoricalEvents')->orderBy('station', 'asc')->get();
//        $stations_daily = RunView::select(DB::raw('DISTINCT station'))->where('name', 'Cloud-1')->where('variable', 'Waterlevel')->where('type', 'Forecast-0-d')->orderBy('station', 'asc')->get();
        $source = Source::select('parameters')->where('source', 'FLO2D')->first();

        $ch = json_decode(json_decode($source, true)['parameters'], true);
        $ch_values = array_values($ch["CHANNEL_CELL_MAP"]);

        $fl = json_decode(json_decode($source, true)['parameters'], true);
        $cfl_values = array_values($fl["FLOOD_PLAIN_CELL_MAP"]);

        $stations_daily = array_merge($ch_values, $cfl_values);
        sort($stations_daily);
        $stations_daily = array_unique($stations_daily);

        $stations = array(
            'stations_16' => $stations_16,
            'stations_17' => $stations_17,
            'stations_daily' => $stations_daily
        );

        return view('frontend.graphs.static.research.index')->with(['stations' => $stations]);
    }

    public function dischargeData($station)
    {

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
        $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
        $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
        $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting static station runs from run view
        $run_1 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->first();
        $run_2 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->first();
        $run_3 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-3-d-after')->where('station', $station)->where('name', 'cloud-1')->first();

//        dd($run_1);

        // Getting data from data table
        $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
        $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
        $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();

        // Merge static run data
        $data = array_merge($data_1, $data_2);
        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['time'] = strtotime($value['time']) * 1000;
            $values[] = $value;
        }

        if ($values == null) {
            $current_date = Carbon::yesterday();
            $current_date = $current_date->toDateString();

            $date = $current_date . ' 00:00:00';

            // Creating Dates
            $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
            $date_1_start = date('Y-m-d H:i:s', strtotime($date));
            $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
            $date_2_start = date('Y-m-d H:i:s', strtotime('- 1 day', strtotime($date)));
            $date_2_end = date('Y-m-d 23:00:00', strtotime('- 1 day', strtotime($date)));
            $date_3_start = date('Y-m-d H:i:s', strtotime('- 2 day', strtotime($date)));
            $date_3_end = date('Y-m-d 23:00:00', strtotime('- 2 day', strtotime($date)));

            // Getting static station runs from run view
            $run_1 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->first();
            $run_2 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->first();
            $run_3 = Runview::where('variable', 'Discharge')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->first();

            // Getting data from data table
            $data_1 = $run_1->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();
            $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
            $data_3 = $run_3->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();

            // Merge static run data
            $data = array_merge($data_1, $data_2);
            $static_data = array_merge($data, $data_3);

            // Creating data set
            $values = null;
            foreach ($static_data as $value) {
                $value['time'] = strtotime($value['time']) * 1000;
                $values[] = $value;
            }
        }

        return $values;
    }

    public function rainfallData($station, $source)
    {

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
        $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
        $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
        $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting static station runs from run view
        $run_1 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_2 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_3 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();


//        dd($run_1);

        // Getting data from data table
        $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
        $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
        $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();
//        dd($data_1, $data_2, $data_3);
        // Merge static run data
        $data = array_merge($data_1, $data_2);
        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['time'] = strtotime($value['time']) * 1000;

            $values[] = $value;
        }

        // if current data is null
        if ($values == null) {
            $current_date = Carbon::yesterday();
            $current_date = $current_date->toDateString();

            $date = $current_date . ' 00:00:00';

            // Creating Dates
            $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
            $date_1_start = date('Y-m-d H:i:s', strtotime($date));
//            dd($date_1_start);
            $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
            $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
            $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
            $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
            $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

            // Getting static station runs from run view
            $run_1 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
            $run_2 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
            $run_3 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();

            // Getting data from data table
            $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', $date_1_start)->orderBy('time', 'asc')->get()->toArray();
            $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
            $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();

            // Merge static run data
            $data = array_merge($data_1, $data_2);
            $static_data = array_merge($data, $data_3);

            // Creating data set
            $values = null;
            foreach ($static_data as $value) {
                $value['time'] = strtotime($value['time']) * 1000;
                $values[] = $value;
            }
        }


        return $values;
    }

    public function rainfallDataWS($station, $source)
    {

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
        $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
        $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
        $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting static station runs from run view
        $run_1 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_2 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_3 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();


//        dd($run_1);

        // Getting data from data table
//        $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', '2018-05-18 00:00:00')->orderBy('time', 'asc')->get()->toArray();
        $data_1 = $run_1->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 3600) * 3600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_1_start)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 3600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();
//        $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
        $data_2 = $run_2->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 3600) * 3600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_2_start)
            ->where('time', '<=', $date_2_end)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 3600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();
//        $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();
        $data_3 = $run_3->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 3600) * 3600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_3_start)
            ->where('time', '<=', $date_3_end)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 3600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();

        // Merge static run data
        $data = array_merge($data_1, $data_2);
        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['time'] = strtotime($value['time']) * 1000;

            $values[] = $value;
        }

        return $values;
    }

    public function rainfallDataWSHours($station, $source)
    {

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_1_end = date('Y-m-d 23:00:00', strtotime($date));
        $date_2_start = date('Y-m-d H:i:s', strtotime('+ 1 day', strtotime($date)));
        $date_2_end = date('Y-m-d 23:00:00', strtotime('+ 1 day', strtotime($date)));
        $date_3_start = date('Y-m-d H:i:s', strtotime('+ 2 day', strtotime($date)));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting static station runs from run view
        $run_1 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-0-d')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_2 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-1-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();
        $run_3 = Runview::where('variable', 'Precipitation')->where('type', 'Forecast-2-d-after')->where('station', $station)->where('name', 'cloud-1')->where('source', $source)->first();


//        dd($run_1);

        // Getting data from data table
//        $data_1 = $run_1->data()->where('time', '<=', $date_1_end)->where('time', '>=', '2018-05-18 00:00:00')->orderBy('time', 'asc')->get()->toArray();
        $data_1 = $run_1->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 21600) * 21600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_1_start)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 21600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();
//        $data_2 = $run_2->data()->where('time', '<=', $date_2_end)->where('time', '>=', $date_2_start)->orderBy('time', 'asc')->get()->toArray();
        $data_2 = $run_2->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 21600) * 21600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_2_start)
            ->where('time', '<=', $date_2_end)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 21600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();
//        $data_3 = $run_3->data()->where('time', '<=', $date_3_end)->where('time', '>=', $date_3_start)->orderBy('time', 'asc')->get()->toArray();
        $data_3 = $run_3->data()
            ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 21600) * 21600)) as time"), DB::raw('SUM(value) as value'))
            ->where('time', '>=', $date_3_start)
            ->where('time', '<=', $date_3_end)
            ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 21600'))
//                ->orderBy('time', 'desc')
            ->get()->toArray();

        // Merge static run data
        $data = array_merge($data_1, $data_2);
        $static_data = array_merge($data, $data_3);

        // Creating data set
        $values = null;
        foreach ($static_data as $value) {
            $value['time'] = strtotime($value['time']) * 1000;

            $values[] = $value;
        }

        return $values;
    }

    public function observedData($station)
    {
        $precipitations = null;
        $values = null;

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

//        $time = Carbon::now()->subHour(1);

        $runview_precipitation = runview::where('station', $station)
            ->where('variable', 'Precipitation')
            ->where('source', 'WeatherStation')
            ->first();
        if ($runview_precipitation !== null) {
            $precipitations = $runview_precipitation
                ->data()
                ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 3600) * 3600)) as time"), DB::raw('SUM(value) as value'))
                ->where('time', '>=', $date)
                ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 3600'))
//                ->orderBy('time', 'desc')
                ->get()->toArray();

            $precipitation_max = $runview_precipitation
                ->data()
                ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 3600) * 3600)) as time"), DB::raw('MAX(value) as value'))
                ->where('time', '>=', $date)
                ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 3600'))
//                ->orderBy('time', 'desc')
                ->first();
        }
//        dd($precipitations);
        foreach ($precipitations as $precipitation) {
            $value['time'] = strtotime($precipitation['time']) * 1000;
            $value['value'] = $precipitation['value'];

            $values['values'][] = $value;
            $values['max'] = $precipitation_max['value'];
        }
//        dd($values);
        return $values;
    }

    public function observedDataHours($station)
    {
        $precipitations = null;
        $values = null;

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();

        $date = $current_date . ' 00:00:00';
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

//        $time = Carbon::now()->subHour(1);

        $runview_precipitation = runview::where('station', $station)
            ->where('variable', 'Precipitation')
            ->where('source', 'WeatherStation')
            ->first();
        if ($runview_precipitation !== null) {
            $precipitations = $runview_precipitation
                ->data()
                ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 21600) * 21600)) as time"), DB::raw('SUM(value) as value'))
                ->where('time', '>=', $date)
                ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 21600'))
//                ->orderBy('time', 'desc')
                ->get()->toArray();

            $precipitation_max = $runview_precipitation
                ->data()
                ->select(DB::raw("REPLACE(MAX(time),SUBSTRING_INDEX(MAX(time), ' ', -1),SEC_TO_TIME((TIME_TO_SEC(MAX(time)) DIV 21600) * 21600)) as time"), DB::raw('MAX(value) as value'))
                ->where('time', '>=', $date)
                ->groupBy(DB::raw('UNIX_TIMESTAMP(time) / 21600'))
//                ->orderBy('time', 'desc')
                ->first();
        }
//        dd($precipitations);
        foreach ($precipitations as $precipitation) {
            $value['time'] = strtotime($precipitation['time']) * 1000;
            $value['value'] = $precipitation['value'];

            $values['values'][] = $value;
            $values['max'] = $precipitation_max['value'];
        }
//        dd($values);
        return $values;
    }

    public function discharge()
    {
        $stations = RunView::select(DB::raw('DISTINCT station'))->where('name', 'Cloud-1')->where('variable', 'Discharge')->orderBy('station', 'asc')->get();

        return view('frontend.graphs.static.discharge-stations')->with(['stations' => $stations]);
    }

    public function dischargeStation($station)
    {
        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        $values = $this->dischargeData($station);

        return view('frontend.graphs.static.discharge-data')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $date_3_end]);
    }

    public function rainfall()
    {
        set_time_limit(300);
        $w_stations = \App\Models\IOT\station::select(['name', 'longitude', 'latitude'])->where('id', '<', '200000')->get();
        foreach ($w_stations as $key => $w_station) {
            $filtered_wstation = runview::where('station', $w_station->name)->where('variable', '!=', 'Waterlevel')->first();
//            $filtered_wstation = \App\Models\IOT\runview::where('station', $w_station->name)->first();
            if ($filtered_wstation !== null) {
                $filtered_wstations['stations'][] = $filtered_wstation;
                if ($filtered_wstation['station'] == 'Mahapallegama') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.256645_7.156975';
                } elseif ($filtered_wstation['station'] == 'Hingurana') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.420021_6.913757';
                } elseif ($filtered_wstation['station'] == 'Kottawa North Dharmapala School') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.957123_6.859688';
                } elseif ($filtered_wstation['station'] == 'Orugodawatta') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.875435_6.940788';
                } elseif ($filtered_wstation['station'] == 'Uduwawala') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.610626_7.238014';
                } elseif ($filtered_wstation['station'] == 'IBATTARA2') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.929893_6.913757';
                } elseif ($filtered_wstation['station'] == 'Ambatale') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.957123_6.940788';
                } elseif ($filtered_wstation['station'] == 'Waga') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.120499_6.913757';
                } elseif ($filtered_wstation['station'] == 'Thurstan College') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.848206_6.913757';
                } elseif ($filtered_wstation['station'] == 'Ambewela Farm') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.774002_6.886719';
                } elseif ($filtered_wstation['station'] == 'Mulleriyawa') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.929893_6.913757';
                } elseif ($filtered_wstation['station'] == 'Dickoya') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.610626_6.886719';
                } elseif ($filtered_wstation['station'] == 'Malabe') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.957123_6.913757';
                } elseif ($filtered_wstation['station'] == 'Mutwal') {
                    $filtered_wstations['grid'][$key] = 'wrf_79.848206_6.967812';
                } elseif ($filtered_wstation['station'] == 'KLB Obs') {
                    $filtered_wstations['grid'][$key] = 'wrf_80.147728_7.102936';
                }
            }
        }
//        dd($filtered_wstations);
//        $stations = Station::select('name')->get();
        $original_ss = Station::select('name')->where('id', '<', '200000')->get();

        foreach ($original_ss as $original_s) {
            $station = runview::select('station')->where('station', $original_s->name)->where('type', '!=', 'Observed')->where('variable', 'Precipitation')->where('source', 'wrf0')->distinct()->orderBy('station', 'asc')->first();

            if ($station == NULL) {
                //
            } else {
                $stations[] = $station;
            }
        }

//        dd($filtered_wstations, $w_stations);

        return view('frontend.graphs.static.rainfall-stations-test')->with(['stations' => $stations, 'w_stations' => $filtered_wstations]);
//        return view('frontend.graphs.static.rainfall-stations')->with(['stations' => $stations]);
    }

    public function rainfallStation($station)
    {
        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting values
        $values = $this->rainfallData($station, 'wrf0');

        // Getting coordinates
        $coordinates = Station::select(['longitude', 'latitude'])->where('name', $station)->first();

        return view('frontend.graphs.static.rainfall-data')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $date_3_end, 'coordinates' => $coordinates]);
    }

    public function rainfallStationMultiple($station)
    {
        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting values
        $wrf0_values = $this->rainfallData($station, 'wrf0');
        $wrf1_values = $this->rainfallData($station, 'wrf1');
        $wrf2_values = $this->rainfallData($station, 'wrf2');
        $wrf3_values = $this->rainfallData($station, 'wrf3');
        $wrf4_values = $this->rainfallData($station, 'wrf4');
        $wrf5_values = $this->rainfallData($station, 'wrf5');

        $values = array(
            'wrf0_values' => $wrf0_values,
            'wrf1_values' => $wrf1_values,
            'wrf2_values' => $wrf2_values,
            'wrf3_values' => $wrf3_values,
            'wrf4_values' => $wrf4_values,
            'wrf5_values' => $wrf5_values
        );

        // Getting coordinates
        $coordinates = Station::select(['longitude', 'latitude'])->where('name', $station)->first();

        return view('frontend.graphs.static.rainfall-data-multiple')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $date_3_end, 'coordinates' => $coordinates]);
    }

    public function rainfallStationHours($station)
    {
        set_time_limit(0);
        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $date_3_end = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting values
        $wrf0_values = $this->rainfallData($station, 'wrf0');
        $wrf1_values = $this->rainfallData($station, 'wrf1');
        $wrf2_values = $this->rainfallData($station, 'wrf2');
        $wrf3_values = $this->rainfallData($station, 'wrf3');
        $wrf4_values = $this->rainfallData($station, 'wrf4');
        $wrf5_values = $this->rainfallData($station, 'wrf5');

        $values = array(
            'wrf0_values' => $wrf0_values,
            'wrf1_values' => $wrf1_values,
            'wrf2_values' => $wrf2_values,
            'wrf3_values' => $wrf3_values,
            'wrf4_values' => $wrf4_values,
            'wrf5_values' => $wrf5_values
        );

        // Getting coordinates
        $coordinates = Station::select(['longitude', 'latitude'])->where('name', $station)->first();

        return view('frontend.graphs.static.rainfall-hours-data')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $date_3_end, 'coordinates' => $coordinates]);
    }

    public function weatherStationsForecast($station, $grid)
    {
//        dd($this->observedData($station));
        set_time_limit(0);

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $max_date = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting values
        if ($grid !== null) {
            $wrf0_values = $this->rainfallDataWS($grid, 'wrf0');
        }
        if ($grid !== null) {
            $wrf1_values = $this->rainfallDataWS($grid, 'wrf1');
        }
        if ($grid !== null) {
            $wrf2_values = $this->rainfallDataWS($grid, 'wrf2');
        }
        if ($grid !== null) {
            $wrf3_values = $this->rainfallDataWS($grid, 'wrf3');
        }
        if ($grid !== null) {
            $wrf4_values = $this->rainfallDataWS($grid, 'wrf4');
        }
        if ($grid !== null) {
            $wrf5_values = $this->rainfallDataWS($grid, 'wrf5');
        }

        $values = array(
            'wrf0_values' => $wrf0_values,
            'wrf1_values' => $wrf1_values,
            'wrf2_values' => $wrf2_values,
            'wrf3_values' => $wrf3_values,
            'wrf4_values' => $wrf4_values,
            'wrf5_values' => $wrf5_values,
            'obs_values' => $this->observedData($station)
        );

        // Getting coordinates
        $coordinates = Station::select(['longitude', 'latitude'])->where('name', $station)->first();

        return view('frontend.graphs.static.ws-rainfall-data')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $max_date, 'coordinates' => $coordinates]);
    }

    public function weatherStationsForecastHours($station, $grid)
    {
//        dd($this->observedData($station));
        set_time_limit(0);

        $current_date = Carbon::today();
        $current_date = $current_date->toDateString();
        $date = $current_date . ' 00:00:00';

        // Creating Dates
        $date = DateTime::createFromFormat('Y-m-d H:i:s', $date)->format('Y-m-d H:i:s');
        $date_1_start = date('Y-m-d H:i:s', strtotime($date));
        $max_date = date('Y-m-d 23:00:00', strtotime('+ 2 day', strtotime($date)));

        // Getting values
        if ($grid !== null) {
            $wrf0_values = $this->rainfallDataWSHours($grid, 'wrf0');
        }
        if ($grid !== null) {
            $wrf1_values = $this->rainfallDataWSHours($grid, 'wrf1');
        }
        if ($grid !== null) {
            $wrf2_values = $this->rainfallDataWSHours($grid, 'wrf2');
        }
        if ($grid !== null) {
            $wrf3_values = $this->rainfallDataWSHours($grid, 'wrf3');
        }
        if ($grid !== null) {
            $wrf4_values = $this->rainfallDataWSHours($grid, 'wrf4');
        }
        if ($grid !== null) {
            $wrf5_values = $this->rainfallDataWSHours($grid, 'wrf5');
        }

        $values = array(
            'wrf0_values' => $wrf0_values,
            'wrf1_values' => $wrf1_values,
            'wrf2_values' => $wrf2_values,
            'wrf3_values' => $wrf3_values,
            'wrf4_values' => $wrf4_values,
            'wrf5_values' => $wrf5_values,
            'obs_values' => $this->observedDataHours($station)
        );

        // Getting coordinates
        $coordinates = Station::select(['longitude', 'latitude'])->where('name', $station)->first();

        return view('frontend.graphs.static.ws-rainfall-hours-data')->with(['station' => $station, 'values' => $values, 'start_date' => $date_1_start, 'end_date' => $max_date, 'coordinates' => $coordinates]);
    }

}
