<?php

namespace App\Http\Controllers\Frontend\Stations;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\RunView\runview;
use App\Models\Stations\Station;

class StationsController extends Controller
{
	public function getStations(Request $request)
    {
        $stations = null;

        if ($request->has('variable')) {
            $variable = $request->input('variable');

            // Get stations list
            if ($variable == 'Waterlevel') {
                $stations = Runview::select('station')->where('variable', 'Waterlevel')->where('name', '!=', 'Cloud-WL-Grid')->distinct()->orderBy('station', 'asc')->get();
//                $stations = $stations->toArray();
            }
            else if($variable == 'Precipitation'){
//                $stations = Runview::select('station')->where('type', '!=', 'Observed')->where('variable', 'Precipitation')->where('source', 'wrf0')->  distinct()->orderBy('station', 'asc')->get();
                $stations = null;
                $station = null;
                $original_ss = Station::select('name')->where('id', '<', '200000')->get();
                foreach ($original_ss as $original_s) {
                    $station = $original_s->runs()->select('station')->where('type', '!=', 'Observed')->where('variable', 'Precipitation')->where('source', 'wrf0')->distinct()->orderBy('station', 'asc')->first();
                    if ($station == null){
                        //
                    }
                    else{
                        $stations[] = $station;
                    }

                    }

            }
            else{
                $stations = Runview::select('station')->where('variable', 'Discharge')->distinct()->orderBy('station', 'asc')->get();
//                $stations = $stations->toArray();
            }
            

            return response(['stations' => $stations]);
        }
        else{
            return response(['error' => 'error']);
        }
        // return true;
    }

    public function getObStations()
    {
        $stations = Runview::select('station')->where('name', '!=', 'Cloud-WL-Grid')->where('type', 'Observed')->distinct()->orderBy('station', 'asc')->get();

        return response(['stations' => $stations]);
    }
}
