<?php

namespace App\Mail\Frontend\Stations;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;
use Carbon\Carbon;

class Alerts extends Mailable implements ShouldQueue
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */

    public $stations;

    public function __construct($stations)
    {
        $this->stations = $stations;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('frontend.emails.stations.alert')
            ->subject('CUrW Weather Stations | Inactive List - ' . Carbon::now()->format("Y-m-d H:i:s"))
            ->with(['stations' => $this->stations]);
    }
}
