@extends('frontend.layouts.plain')

@section('title', 'Hydrological Forecast | Login')

@section('after-styles')
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
@endsection

@section('content')
<!-- test -->
    <div class="container" style="margin-top: 60px;">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="card card-raised card-nav-tabs">
                    <div class="header header-dark-blue">
                        <h3 class="h3 text-center text-uppercase">
                            <i class="fas fa-key"></i> Login
                        </h3>
                    </div>

                    <div class="card-body">
                        {{ Form::open(['route' => 'frontend.auth.login.post', 'class' => 'form-horizontal']) }}

                        <div class="form-group">
                            {{ Form::label('email', trans('validation.attributes.frontend.email'), ['class' => 'col-md-4 control-label']) }}
                            <div class="col-md-6">
                                {{ Form::email('email', null, ['class' => 'form-control', 'maxlength' => '191', 'required' => 'required', 'autofocus' => 'autofocus', 'placeholder' => trans('validation.attributes.frontend.email')]) }}
                            </div><!--col-md-6-->
                        </div><!--form-group-->

                        <div class="form-group">
                            {{ Form::label('password', trans('validation.attributes.frontend.password'), ['class' => 'col-md-4 control-label']) }}
                            <div class="col-md-6">
                                {{ Form::password('password', ['class' => 'form-control', 'required' => 'required', 'placeholder' => trans('validation.attributes.frontend.password')]) }}
                            </div><!--col-md-6-->
                        </div><!--form-group-->

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <div class="checkbox">
                                    <label>
                                        {{ Form::checkbox('remember') }} {{ trans('labels.frontend.auth.remember_me') }}
                                    </label>
                                </div>
                            </div><!--col-md-6-->
                        </div><!--form-group-->

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                {{ Form::submit(trans('labels.frontend.auth.login_button'), ['class' => 'btn btn-info btn-block', 'style' => 'margin-right:15px']) }}

                                {{--{{ link_to_route('frontend.auth.password.reset', trans('labels.frontend.passwords.forgot_password')) }}--}}
                            </div><!--col-md-6-->
                        </div><!--form-group-->

                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div><!-- col-md-8 -->

    </div>

@endsection