@extends('frontend.layouts.dynamic')

@section('before-styles')

@endsection

@section('after-styles')
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
    <link rel="stylesheet" href="https://js.arcgis.com/4.7/esri/css/main.css">
@endsection

@section('content')

    <div class="container-fluid" style="margin-top: 1%; margin-bottom: 3%;">
        <div class="card">
            <div class="card-header blue">
                <h3 class="text-center"><i class="fas fa-map"></i> Test Maps</h3>
            </div>

            <div class="card-body">
                <div class="row">
                    <div class="col-md-8 offset-2">
                        <div id="map" style="height: 500px;"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection

@section('after-scripts')
    <script src="https://js.arcgis.com/4.7/"></script>

    <script>
        var dojoConfig = {
            has: {
                "esri-featurelayer-webgl": 1
            }
        };
    </script>

    <script>
        require([
            "esri/Map",
            "esri/views/SceneView",
            "esri/layers/Layer",
            "esri/widgets/Search",
            "dojo/domReady!"
        ], function (
            Map, SceneView, Layer, Search
        ) {

            var map = new Map({
                basemap: "dark-gray"
            });

            var view = new SceneView({
                map: map,
                container: "map",
                center: [79.918465, 6.907255],
                zoom: 12
            });

            var searchWidget = new Search({
                view: view
            });

            // Add the search widget to the top right corner of the view
            view.ui.add(searchWidget, {
                position: "top-right"
            });

            /************************************************
             *
             * Create a layer from an existing Portal item hosted
             * in ArcGIS Online using the ID of the item.
             *
             *************************************************/
            Layer.fromPortalItem({
                portalItem: { // autocasts as new PortalItem()
                    id: "{{ $layer_id  }}"
                }
            }).then(addLayer)
                .catch(rejection);

            // Adds the layer to the map once it loads
            function addLayer(layer) {
                map.add(layer);
            }

            function rejection(err) {
                console.log("Layer failed to load: ", err);
            }
        });
    </script>



@endsection