@extends('frontend.layouts.screen')

@section('after-styles')
    <style>
        .highcharts-title {
            fill: #434348;
            font-weight: bold;
            font-size: 5.5em;
        }

        .highcharts-legend {
            fill: #434348;
            font-weight: bold;
            font-size: 2em;
        }
    </style>
@endsection

@section('content')

    <div class="container" style="margin: 1% auto;">
        <div class="row text-center">
            <div class="col-md-12">
                <div id='container' style='width: 100%; height: 600px;'></div>
            </div>
        </div>
    </div>

@endsection

@section('after-scripts')
    <script src="http://code.highcharts.com/stock/highstock.js"></script>
    <script src="http://code.highcharts.com/stock/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script type="text/javascript">
        Highcharts.setOptions({
            global: {
                useUTC: false
            }
        });
        $(function () {
            {{--            var data_click = {{ $data }};--}}
            $('#container').highcharts('StockChart', {
                title: {
                    text: '2017 Flood Event - Affected Buildings'
                },
                legend: {
                    enabled: true,
                    align: 'center'
                },
                credits: {
                    enabled: false
                },
                rangeSelector: {
                    allButtonsEnabled: true,
                    buttons: [
                        {
                            type: 'minute',
                            count: 900,
                            text: '15 Min',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [15]]]
                            }
                        },
                        {
                            type: 'minute',
                            count: 300,
                            text: 'Hour',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [60]]]
                            }
                        },
                        {
                            type: 'day',
                            count: 1,
                            text: 'Day'
                        },
                        {
                            type: 'all',
                            text: 'All'
                        }
                    ],
                    buttonTheme: {
                        width: 60
                    },
                    selected: 3
                },
                xAxis: {
                    type: "datetime"
                },
                yAxis: {
                    opposite: false,
                    title: {
                        text: 'Count'
                    }
                },
                series: [
                    {
                        name: 'Number of Buildings',
                        data:
                            [
                                    @foreach($values as $value)
                                [{{ $value['time'] }},
                                    {{ $value['value'] }}],
                                @endforeach
                            ],
                        tooltip: {
                            valueDecimals: 2
                        },
                        type: 'area'
                    }]
            });
        });

    </script>

@endsection

