@extends('frontend.layouts.app')

@section('after-styles')
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.7.1/css/bootstrap-datepicker.min.css">
@endsection

@section('content')

    <div class="container">
        <div class="card card-nav-tabs">
            <div class="header header-dark-blue">
                <div class="nav-tabs-navigation">
                    <div class="nav-tabs-wrapper">
                        <ul class="nav nav-tabs row" data-tabs="tabs">
                            <li class="active col-md-6" style="padding: 10px 5px;">
                                <a class="text-center"data-toggle="tab" href="#image" style="font-size: 15px;">Model and Satellite Images</a>
                            </li>
                            <li class="col-md-6" style="padding: 10px 5px;">
                                <a class="text-center" data-toggle="tab" href="#namelist" style="font-size: 15px;">Namelist File</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="content">
                <div class="row">
                    <div class="row">
                        <div class="col-md-3 text-center">
                            <h5><b>WRF Number:</b></h5>
                            <h6>{{ $data['wrf_no'] }}</h6>
                        </div>
                        <div class="col-md-3 text-center">
                            <h5><b>Run Date:</b></h5>
                            <h6>{{ $data['run_date'] }}</h6>
                        </div>
                        <div class="col-md-3 text-center">
                            <h5><b>WRF Run ID:</b></h5>
                            <h6>{{ $data['run_id'] }}</h6>
                        </div>
                        <div class="col-md-3 text-center">
                            <h5><b>Image Date and Time:</b></h5>
                            <h6>{{ $data['image_date'] }}</h6>
                        </div>
                    </div>

                    <hr>

                    <div class="tab-content">
                        <div id="image" class="tab-pane fade in active">
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h6 class="h6 text-center">Rainfall Model Map</h6>
                                    </div>
                                    <div class="content">
                                        <img src="{{ $data['wrf_img'] }}" class="img-responsive">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h6 class="h6 text-center">Rainfall Satellite Map</h6>
                                    </div>
                                    <div class="panel-body text-center">
                                        <img src="{{ $data['sat_img'] }}" class="img-responsive">
                                    </div>
                                </div>
                            </div>
                        </div>
{{--                        {{ dd($data['namelist']) }}--}}
                        <div id="namelist" class="tab-pane fade in">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="content">
                                        @if($data['namelist'])
                                        @foreach($data['namelist'] as $line)
                                            {!! $line !!}<br>
                                        @endforeach
                                        @endif
{{--                                        {{ $data['namelist'] }}--}}
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>

                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <hr>
                        <div class="col-md-6">
                            <button class="btn btn-info btn-block" id="previous">Previous</button>
                        </div>
                        <div class="col-md-6">
                            <button class="btn btn-info btn-block" id="next">Next</button>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <hr>
                    <div class="col-md-8 col-md-offset-2">
                        <a href="{{ route('frontend.graphs.maps.index') }}" class="btn btn-info btn-block">CREATE NEW</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection