@extends('frontend.layouts.screen')

@section('meta')
    <meta http-equiv="refresh" content="3600">
@endsection

@section('content')

    <div class="container-fluid" style="padding: 1% 2%; height: 100%;">
        <div class="row">
            <!-- Carousel Card -->
            <div class="card-carousel">
                <div id="carousel-1" class="carousel slide" data-ride="carousel">
                    <div class="carousel slide" data-ride="carousel">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner" role="listbox">
                            <div class="col-md-4">
                                <div class="card card-raised hingurana" id='hingurana'
                                     style='width: 100%; height: 330px;'></div>
                            </div>
                            <div class="col-md-4">
                                <div class="card card-raised mahapallegama" id='mahapallegama'
                                     style='width: 100%; height: 330px;'></div>
                            </div>
                            <div class="col-md-4">
                                <div class="card card-raised waga" id='waga'
                                     style='width: 100%; height: 330px;'></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--/ Carousel Card -->
        </div>

        <div class="row">
            <!-- Carousel Card -->
            <div class="card-carousel">
                <div id="carousel-2" class="carousel slide" data-ride="carousel">
                    <div class="carousel slide" data-ride="carousel">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner" role="listbox">
                            <div class="item active">
                                <div class="col-md-4">
                                    <div class="card card-raised hatton" id='hatton'
                                         style='width: 100%; height: 330px;'></div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card card-raised ibattara2" id='ibattara2'
                                         style='width: 100%; height: 330px;'></div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card card-raised orugoda" id='orugoda'
                                         style='width: 100%; height: 330px;'></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--/ Carousel Card -->
        </div>
    </div>

@endsection

@section('after-scripts')
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="http://code.highcharts.com/stock/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script type="text/javascript">
        Highcharts.setOptions({
            global: {
                useUTC: false
            }
        });
        $(function () {
            $(document).ready(function () {
                // hingurana
                hingurana = new Highcharts.Chart({
                    "title": {
                        "text": 'Hingurana Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "hingurana"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['hingurana']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

                // mahapallegama
                mahapallegama = new Highcharts.Chart({
                    "title": {
                        "text": 'Mahapallegama Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "mahapallegama"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['mahapallegama']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

                // waga
                waga = new Highcharts.Chart({
                    "title": {
                        "text": 'Waga Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "waga"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['waga']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

                // hatton
                hatton = new Highcharts.Chart({
                    "title": {
                        "text": 'Hatton Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "hatton"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['hatton']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

                // ibattara2
                ibattara2 = new Highcharts.Chart({
                    "title": {
                        "text": 'IBATTARA2 Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "ibattara2"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['ibattara2']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

                // orugoda
                orugoda = new Highcharts.Chart({
                    "title": {
                        "text": 'Orugodawaththa Station - Rainfall'
                    },
                    "rangeSelector": {
                        allButtonsEnabled: true,
                        "buttons": [
                            {
                                "type": 'minute',
                                "count": 900,
                                "text": '15 Min',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [15]]]
                                }
                            },
                            {
                                "type": 'minute',
                                "count": 300,
                                "text": 'Hour',
                                "dataGrouping": {
                                    forced: true,
                                    "units": [['minute', [60]]]
                                }
                            },
                            {
                                "type": 'day',
                                "count": 1,
                                "text": 'Day'
                            },
                            {
                                "type": 'all',
                                "text": 'All'
                            }
                        ],
                        "buttonTheme": {
                            "width": 60
                        },
                        "selected": 3
                    },
                    "legend": {
                        "layout": "horizontal",
                        "style": {
                            'align': 'center'
                        },
                        enabled: true
                    },
                    "xAxis": {
                        "type": "datetime"
                    },
                    "yAxis": {
                        "opposite": false,
                        "title": {
                            "text": 'mm'
                        }
                    },
                    "plotOptions": {
                        "column": {
                            "minPointLength": 2
                        }
                    },
                    "chart": {
                        "defaultSeriesType": "column",
                        "renderTo": "orugoda"
                    },
                    "credits": {
                        enabled: false
                    },
                    "series": [
                        {
                            "name": 'Forecast',
                            "data":
                                [
                                        @foreach($data['orugoda']['values'] as $value)
                                    [{{ $value['time'] }},
                                        {{ $value['value'] }}],
                                    @endforeach
                                ],
                            tooltip: {
                                valueDecimals: 2
                            }
                        }]
                });

            });
        });

    </script>
@endsection