@extends('frontend.layouts.plain')

@section('content')

    <div class="container">
        <div class="row">
            <div class="card card-nav-tabs">

                <div class="header header-dark-blue">
                    <h3 class="h3 text-center text-uppercase">FLO2D Discharge Graph - Current WL</h3>
                </div>

                <div class="content">
                    <div class="row">
                        <br>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST VARIABLE TYPE:</u></b></h6>
                            Waterlevel
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST STATION:</u></b></h6>
                            @if(ucwords($station) == 'Ambatale Outfull1')
                                Ambatale Outfall
                            @else
                                {{ ucwords($station) }}
                            @endif

                            {{--<h6><b><u>OBSERVED STATION:</u></b></h6>--}}
                            {{--{{ ucwords($obs_station) }}--}}
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST TYPES:</u></b></h6>
                            Forecast-0-d <br>
                            Forecast-1-d-after <br>
                            Forecast-2-d-after <br>
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>DATE RANGE:</u></b></h6>
                            Start Date and Time: {{ $start_date }}<br>
                            End Date and Time: {{ $end_date }}
                        </div>
                    </div>

                    <hr>

                    <div class="row">
                        <br>
                        <div class="col-md-12">


                            <div class="text-center" style="padding-top: 20px; padding-bottom: 20px;">
                                @if(ucwords($station) == 'Ambatale Outfull1')
                                    <h3 class="h3 text-center" style="font-weight: 600;"><u>Ambatale Outfall</u>
                                    </h3>
                                @else
                                    <h3 class="h3 text-center" style="font-weight: 600;"><u>{{ ucwords($station) }}</u>
                                    </h3>
                                @endif
                                {{--<div class="card card-raised" id='chart_div_Colombo' style='width: 90%; height: 500px;'></div>--}}
                                <div class="card card-raised" id='container' style='width: 90%; height: 500px;'></div>
                            </div>


                            <hr>


                        </div>

                    </div>

                    <div class="row">
                        {{--<br>--}}
                        {{--<div class="col-md-8 col-md-offset-2">--}}
                        {{--<a href="http://forecast.app/graphs/daily/stations" class="btn btn-info btn-block">SWITCH TO DAILY VIEW</a>--}}
                        {{--</div>--}}
                        <div class="col-md-8 col-md-offset-2">
                            <a href="{{ route('frontend.static.research.index') }}" class="btn btn-info btn-block">back
                                to stations</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('after-scripts')
    <script src="http://code.highcharts.com/stock/highstock.js"></script>
    <script src="http://code.highcharts.com/stock/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script type="text/javascript">
        $(function () {
            {{--            var data_click = {{ $data }};--}}
            $('#container').highcharts('StockChart', {
                legend: {
                    enabled: true,
                    align: 'center'
                },
                credits: {
                    enabled: false
                },
                rangeSelector: {
                    allButtonsEnabled: true,
                    buttons: [
                        {
                            type: 'minute',
                            count: 900,
                            text: '15 Min',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [15]]]
                            }
                        },
                        {
                            type: 'minute',
                            count: 300,
                            text: 'Hour',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [60]]]
                            }
                        },
                        {
                            type: 'day',
                            count: 1,
                            text: 'Day'
                        },
                        {
                            type: 'all',
                            text: 'All'
                        }
                    ],
                    buttonTheme: {
                        width: 60
                    },
                    selected: 3
                },
                yAxis: {
                    align: 'left',
                    title: {
                        text: 'm MSL'
                    }
                },
                series: [
                    {
                        name: 'Forecast',
                        data:
                            [
                                    @foreach($values as $value)
                                [{{ $value['time'] }},
                                    {{ $value['value'] }}],
                                @endforeach
                            ],
                        tooltip: {
                            valueDecimals: 2
                        },
                        type: 'line'
                    },
                    {
                        name: 'Observed',
                        data:
                            [
                                    @foreach($values as $value)
                                [{{ $value['time'] }},
                                    {{ $value['ob_value'] }}],
                                @endforeach
                            ],
                        tooltip: {
                            valueDecimals: 2
                        },
                        type: 'scatter'
                    }]
            });
        });
    </script>
@endsection