@extends('frontend.layouts.plain')

@section('content')

    <div class="container">
        <div class="row">
            <div class="card card-nav-tabs">

                <div class="header header-dark-blue">
                    <h3 class="h3 text-center text-uppercase">Discharge Graph - Current Discharge</h3>
                </div>

                <div class="content">
                    <div class="row">
                        <br>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST VARIABLE TYPE:</u></b></h6>
                            Discharge
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST STATION:</u></b></h6>
                            {{ ucwords($station) }}
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST TYPES:</u></b></h6>
                            Forecast-0-d <br>
                            Forecast-1-d-after <br>
                            Forecast-2-d-after <br>
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>DATE RANGE:</u></b></h6>
                            Start Date and Time: {{ $start_date }}<br>
                            End Date and Time: {{ $end_date }}
                        </div>

                        <hr>

                        <div class="row">
                            <br>
                            <div class="col-md-12">
                                <div class="text-center" style="padding-top: 20px; padding-bottom: 20px;">
                                    {{--<h3 class="h3 text-center" style="font-weight: 600;">--}}
                                        {{--<u>{{ ucwords($station) }} - Discharge</u>--}}
                                    {{--</h3>--}}
                                    {{--<div class="card card-raised" id='chart_div_Colombo' style='width: 90%; height: 500px;'></div>--}}
                                    <div class="card card-raised" id='container'
                                         style='width: 90%; height: 500px;'></div>
                                </div>
                                <hr>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8 col-md-offset-2">
                                <a href="{{ route('frontend.static.discharge') }}"
                                   class="btn btn-info btn-block">back
                                    to stations</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('after-scripts')
    <script src="http://code.highcharts.com/stock/highstock.js"></script>
    <script src="http://code.highcharts.com/stock/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script type="text/javascript">
        Highcharts.setOptions({
            global: {
                useUTC: false
            }
        });

        $(function () {
            {{--            var data_click = {{ $data }};--}}
            $('#container').highcharts('StockChart', {
                title:{
                    text:'{{ ucwords($station) }} - Discharge'
                },
                legend: {
                    enabled: true,
                    align: 'center'
                },
                credits: {
                    enabled: false
                },
                rangeSelector: {
                    allButtonsEnabled: true,
                    buttons: [
                        {
                            type: 'minute',
                            count: 900,
                            text: '15 Min',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [15]]]
                            }
                        },
                        {
                            type: 'minute',
                            count: 300,
                            text: 'Hour',
                            dataGrouping: {
                                forced: true,
                                units: [['minute', [60]]]
                            }
                        },
                        {
                            type: 'day',
                            count: 1,
                            text: 'Day'
                        },
                        {
                            type: 'all',
                            text: 'All'
                        }
                    ],
                    buttonTheme: {
                        width: 60
                    },
                    selected: 3
                },
                yAxis: {
                    align: 'left',
                    opposite: false,
                    title: {
                        text: 'm3/s'
                    }
                },
                series: [
                    {
                        name: 'Forecast',
                        data:
                            [
                                    @foreach($values as $value)
                                [{{ $value['time'] }},
                                    {{ $value['value'] }}],
                                @endforeach
                            ],
                        tooltip: {
                            valueDecimals: 2
                        },
                        type: 'line'
                    }]
            });
        });
    </script>
@endsection