@extends('frontend.layouts.plain')

@section('content')

    <div class="container">

        <div class="card card-nav-tabs">
            <div class="header header-dark-blue">
                <div class="nav-tabs-navigation">
                    <div class="nav-tabs-wrapper">
                        <h3 class="h3 text-center text-uppercase">Rainfall Stations</h3>
                    </div>
                </div>
            </div>
            <div class="content">
                <div class="row" style="margin-top: 30px; margin-bottom: 30px;">

                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h5 class="h5 text-center">WRF0 Stations</h5>
                                    </div>
                                    <div class="content">
                                        @foreach($stations as $station)
                                            <div class="col-md-6">
                                                <a href="{{route('frontend.static.rainfall.station', $station->station)}}"
                                                   class="btn btn-info btn-md btn-block">{{ $station->station }}</a>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h5 class="h5 text-center">Multiple Sources Stations</h5>
                                    </div>
                                    <div class="content">
                                        @foreach($stations as $station)
                                            <div class="col-md-6">
                                                <a href="{{route('frontend.static.rainfall.station.multiple', $station->station)}}"
                                                   class="btn btn-info btn-md btn-block">{{ $station->station }}</a>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h5 class="h5 text-center">Multiple Sources Stations - 6 Hours Version</h5>
                                    </div>
                                    <div class="content">
                                        @foreach($stations as $station)
                                            <div class="col-md-6">
                                                <a href="{{route('frontend.static.rainfall.station.multiple.hours', $station->station)}}"
                                                   class="btn btn-info btn-md btn-block">{{ $station->station }}</a>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h5 class="h5 text-center">Weather Stations with Forecast Values</h5>
                                    </div>
                                    <div class="content">
                                        @foreach($w_stations['stations'] as $key => $station)
                                            <div class="col-md-6">
                                                @if($station['station'] == 'Mahapallegama')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.256645_7.156975' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Hingurana')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.420021_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Kottawa North Dharmapala School')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.859688' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Orugodawatta')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.875435_6.940788' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Uduwawala')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.610626_7.238014' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'IBATTARA2')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.929893_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Ambatale')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.940788' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Waga')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.120499_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Thurstan College')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.848206_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Ambewela Farm')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.774002_6.886719' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Mulleriyawa')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.929893_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Dickoya')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.610626_6.886719' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Malabe')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Mutwal')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_79.848206_6.967812' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'KLB Obs')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'wrf_80.147728_7.102936' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @else
                                                    <a href="{{route('frontend.static.rainfall.station.ws.multiple', ['station' => $station['station'], 'grid' => 'null' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @endif
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card card-nav-tabs">
                                    <div class="header header-info">
                                        <h5 class="h5 text-center">Weather Stations with Forecast Values - 6 Hours
                                            Version</h5>
                                    </div>
                                    <div class="content">
                                        @foreach($w_stations['stations'] as $key => $station)
                                            <div class="col-md-6">
                                                @if($station['station'] == 'Mahapallegama')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.256645_7.156975' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Hingurana')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.420021_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Kottawa North Dharmapala School')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.859688' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Orugodawatta')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.875435_6.940788' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Uduwawala')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.610626_7.238014' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'IBATTARA2')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.929893_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Ambatale')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.940788' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Waga')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.120499_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Thurstan College')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.848206_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Ambewela Farm')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.774002_6.886719' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Mulleriyawa')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.929893_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Dickoya')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.610626_6.886719' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Malabe')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.957123_6.913757' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'Mutwal')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_79.848206_6.967812' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @elseif($station['station'] == 'KLB Obs')
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'wrf_80.147728_7.102936' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @else
                                                    <a href="{{route('frontend.static.rainfall.station.ws.hours-multiple', ['station' => $station['station'], 'grid' => 'null' ])}}"
                                                       class="btn btn-info btn-md btn-block">{{ $station['station'] }}</a>
                                                @endif
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

    </div>

@endsection
