
<!doctype html>
<html lang="en">
<head>
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="HXdjt7wAYLcOYzwgAlot2chFU3rcXylWqbuPsSHF">

    <title>Hydrological Forecast - Curwsl</title>

    <!-- Styles -->

    <!-- Check if the language is set to RTL, so apply the RTL layouts -->
    <!-- Otherwise apply the normal LTR layouts -->
    <link media="all" type="text/css" rel="stylesheet" href="{{ url('css/frontend.css') }}">

    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.7.1/css/bootstrap-datepicker.min.css">

    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type='text/javascript'>
        google.charts.load('current', {'packages':['annotationchart']});
        google.charts.setOnLoadCallback(drawChart);

        function drawChart() {


            var data1 = new google.visualization.DataTable();
            data1.addColumn('datetime', 'Time');
            data1.addColumn('number', 'Forecast');
            data1.addColumn('number', 'Observed');

            data1.addRows([

                @foreach($values as $value)

                [new Date({{ $value['time'] }}), {{ $value['value'] }}, {{ $value['ob_value'] }}],

                @endforeach
            ]);

            var chart1 = new google.visualization.AnnotationChart(document.getElementById('chart_div_Colombo'));


            var options = {
                displayAnnotations: true,
                theme: 'material'
            };

            chart1.draw(data1, options);
        }
    </script>


    <!-- Scripts -->
    <script>window.Laravel = {"csrfToken":"HXdjt7wAYLcOYzwgAlot2chFU3rcXylWqbuPsSHF"}</script>
</head>
<body id="landing-page">
<div class="wrapper" style="margin-top: 10%;">

    <nav class="navbar navbar-dark-blue navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#frontend-navbar-collapse">
                    <span class="sr-only">Toggle Navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <strong><a class="navbar-brand" href="#!"><i class="material-icons">&#xE42D;</i> Hydrological Forecast - Discharge {{ $date }} Event</a></strong>
            </div><!--navbar-header-->

            <div class="collapse navbar-collapse" id="frontend-navbar-collapse">
                {{--<ul class="nav navbar-nav navbar-right">--}}
                    {{--<li class=""><a href="http://forecast.app/graphs/hourly"><i class="material-icons">&#xE6E1;</i> Hourly Forecasts</a></li>--}}

                    {{--<li class=""><a href="http://forecast.app/graphs/daily"><i class="material-icons">&#xE85C;</i> Daily Forecasts</a></li>--}}

                    {{--<li class=""><a href="http://forecast.app/graphs/maps"><i class="material-icons">&#xE564;</i> Weather Forecasts</a></li>--}}
                {{--</ul>--}}
            </div><!--navbar-collapse-->
        </div><!--container-->
    </nav>

    <div class="container">
        <div class="row">
            <div class="card card-nav-tabs">

                <div class="header header-dark-blue">
                    <h3 class="h3 text-center text-uppercase">FLO2D Discharge Graph</h3>
                </div>

                <div class="content">
                    <div class="row">
                        <br>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST VARIABLE TYPE:</u></b></h6>
                            Waterlevel
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST STATION:</u></b></h6>
                            {{ ucwords($station) }}

                            <h6><b><u>OBSERVED STATION:</u></b></h6>
                            {{ ucwords($obs_station) }}
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>FORECAST TYPE:</u></b></h6>
                            @foreach($types as $type)
                                {{ $type }}<br>
                            @endforeach
                        </div>
                        <div class="col-md-3 text-center">
                            <h6><b><u>DATE RANGE:</u></b></h6>
                            {{--Start Date and Time: {{ $start_date }}<br>--}}
                            {{--End Date and Time: {{ $end_date }}--}}
                            From: {{ $start_date }}<br>
                            To: {{ $end_date }}
                        </div>
                    </div>

                    <hr>

                    <div class="row">
                        <br>
                        <div class="col-md-12">



                            <div class="text-center" style="padding-top: 20px; padding-bottom: 20px;">
                                <h3 class="h3 text-center" style="font-weight: 600;"><u>{{ ucwords($station) }}</u></h3>
                                <div class="card card-raised" id='chart_div_Colombo' style='width: 90%; height: 500px;'></div>
                            </div>


                            <hr>


                        </div>

                    </div>

                    {{--<div class="row">--}}
                        {{--<br>--}}
                        {{--<div class="col-md-8 col-md-offset-2">--}}
                            {{--<a href="http://forecast.app/graphs/daily/stations" class="btn btn-info btn-block">SWITCH TO DAILY VIEW</a>--}}
                        {{--</div>--}}
                        {{--<div class="col-md-8 col-md-offset-2">--}}
                            {{--<a href="http://forecast.app/graphs/hourly" class="btn btn-info btn-block">CREATE NEW</a>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                </div>
            </div>
        </div>
    </div>

    <footer class="styles " style="margin-top: 10%;">
        <div class="text-center">
            &copy; 2017, All Rights Reserved. <a href="" style="color: #88acfc; text-decoration: none;"><strong>curwsl.org</strong></a>
        </div>
    </footer>



</div><!--wrapper-->

<!-- Scripts -->
<script src="{{ url('js/frontend.js') }}"></script>
</body>
</html>