<!doctype html>
<html lang="{{ app()->getLocale() }}">
    <head>
        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta name="googlebot" content="noindex,nofollow,noarchive,nosnippet,noodp" />
        <meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp" />

        <title>@yield('title', 'Hydrological Forecast')</title>

        @yield('meta')

        <!-- Styles -->
        @yield('before-styles')

        <!-- Check if the language is set to RTL, so apply the RTL layouts -->
        <!-- Otherwise apply the normal LTR layouts -->
        @langRTL
            {{ Html::style(getRtlCss(mix('css/frontend.css'))) }}
        @else
            {{ Html::style(mix('css/frontend.css')) }}
        @endif

        @yield('after-styles')

        <!-- Scripts -->
        <script>window.Laravel = <?php echo json_encode([
                'csrfToken' => csrf_token(),]); ?></script>
    </head>
    <body id="landing-page">
        <div class="wrapper" style="">

            @include('includes.partials.logged-in-as')
            @include('frontend.includes.nav')

                @include('includes.partials.messages')
                @yield('content')
                @include('frontend.includes.footer')

        </div><!--wrapper-->

        <!-- Scripts -->
        @yield('before-scripts')
        {!! Html::script(mix('js/frontend.js')) !!}
        @yield('after-scripts')

        @include('includes.partials.ga')
    </body>
</html>