@extends('frontend.layouts.plain')

@section('title')
    CUrW Weather Stations
@endsection

@section('meta')
    <meta http-equiv="refresh" content="300">
@endsection

@section('after-styles')
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
@endsection

@section('content')

    <div class="container-fluid">
        <div class="row">

            <div class="" style="margin-bottom: 10px; margin-top: -5px;">
                <h5 class="h5 text-center text-uppercase">
                    <i class="fas fa-tachometer-alt"></i> CUrW Water Level Stations - Observed Rainfall Station
                </h5>
            </div>

            <div class="col-md-12">
                <div class="row">
                    @foreach($stations as $station)
                        @if($station['name'] !== 'Kitulgala')
                            <div class="col-md-4 text-center" style="margin-bottom: 20px">
                                @if($station['color'] == 'red')
                                    <a href="{{route('frontend.dynamic.past.wlr.obs', ['station' => $station['name'], 'rainfall' => $station['rainfall'], 'start_date' => $date, 'end_date' => $date ])}}"
                                       class="card text-center"
                                       style="text-decoration: none; padding: 10px 5px; background-color: rgba(140,43,0,0.79); color: rgba(255,255,255,0)">
                                        @if($station['name'] == 'Leecom WL Guage')
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                            <i class="fas fa-building"></i> Diyasaru Gate Upstream <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @else
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                        <i class="fas fa-building"></i> {{ $station['name'] }} <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @endif
                                        <span class="row text-center"
                                              style="font-size: 24px; font-weight: 500; color: #ffffff;">
                                                <i class="fas fa-chart-line"></i> {{ $station['water_level'] }}
                                            </span>
                                        {{--                                    <span class="row text-center" style="font-size: 14px; color: rgba(0,0,0,0.51); padding: 3px 0;">--}}
                                        {{--                                        <b>{!! $station['status'] !!} (Last Hour)</b>--}}
                                        {{--                                    </span>--}}
                                        <span class="row text-center"
                                              style="margin-bottom: 0; padding-bottom: 0; color: #ffffff;"><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                    </a>
                                @elseif($station['color'] == 'orange')
                                    <a href="{{route('frontend.dynamic.past.wlr.obs', ['station' => $station['name'], 'rainfall' => $station['rainfall'], 'start_date' => $date, 'end_date' => $date ])}}"
                                       class="card text-center"
                                       style="text-decoration: none; padding: 10px 5px; background-color: rgba(172,167,38,0.79); color: rgba(255,255,255,0)">
                                        @if($station['name'] == 'Leecom WL Guage')
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                            <i class="fas fa-building"></i> Diyasaru Gate Upstream <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @else
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                        <i class="fas fa-building"></i> {{ $station['name'] }} <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @endif
                                        <span class="row text-center"
                                              style="font-size: 24px; font-weight: 500; color: #ffffff;">
                                                <i class="fas fa-chart-line"></i> {{ $station['water_level'] }}
                                            </span>
                                        {{--                                    <span class="row text-center" style="font-size: 14px; color: rgba(0,0,0,0.51); padding: 3px 0;">--}}
                                        {{--                                        <b>{!! $station['status'] !!} (Last Hour)</b>--}}
                                        {{--                                    </span>--}}
                                        <span class="row text-center"
                                              style="margin-bottom: 0; padding-bottom: 0; color: #ffffff;"><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                    </a>
                                @else
                                    <a href="{{route('frontend.dynamic.past.wlr.obs', ['station' => $station['name'], 'rainfall' => $station['rainfall'], 'start_date' => $date, 'end_date' => $date ])}}"
                                       class="card text-center"
                                       style="text-decoration: none; padding: 10px 5px; background-color: rgba(0,140,70,0.79); color: rgba(255,255,255,0)">
                                        @if($station['name'] == 'Leecom WL Guage')
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                            <i class="fas fa-building"></i> Diyasaru Gate Upstream <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @else
                                            <span style="font-size: 20px; font-weight: 600; color: #ffffff;">
                                        <i class="fas fa-building"></i> {{ $station['name'] }} <small>({{ $station['source'] }})</small> <i
                                                        class="far fa-frown"></i></span><br>
                                        @endif
                                        <span class="row text-center"
                                              style="font-size: 24px; font-weight: 500; color: #ffffff;">
                                                <i class="fas fa-chart-line"></i> {{ $station['water_level'] }}
                                            </span>
                                        {{--                                    <span class="row text-center" style="font-size: 14px; color: rgba(0,0,0,0.51); padding: 3px 0;">--}}
                                        {{--                                        <b>{!! $station['status'] !!} (Last Hour)</b>--}}
                                        {{--                                    </span>--}}
                                        <span class="row text-center"
                                              style="margin-bottom: 0; padding-bottom: 0; color: #ffffff;"><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                    </a>
                                @endif
                            </div>
                        @endif
                    @endforeach
                </div>

                <div class="row" style="font-size: 16px; font-weight: 600;">
                    <div class="col-md-4 text-center" style="color: rgba(0,140,70,0.79); font-size: 20px;">
                        Working <i class="far fa-smile"></i>
                    </div>
                    <div class="col-md-4 text-center" style="color: rgba(172,167,38,0.96); font-size: 20px;">
                        Warning <i class="far fa-meh"></i>
                    </div>
                    <div class="col-md-4 text-center" style="color: rgba(140,43,0,0.79); font-size: 20px;">
                        Malfunction <i class="far fa-frown"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>

@endsection
