@extends('frontend.layouts.plain')

@section('title')
    CUrW Weather Stations
@endsection

@section('meta')
    <meta http-equiv="refresh" content="300">
@endsection

@section('after-styles')
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
@endsection

@section('content')

    <div class="container-fluid" style="padding-top: 2%;">
        <div class="row">
            <div class="col-md-12">
                <div class="card card-raised card-nav-tabs" style="padding-bottom: 1%;">
                    <div class="header header-dark-blue">
                        <h3 class="h3 text-center text-uppercase">
                            <i class="fas fa-building"></i> CUrW Weather Stations
                        </h3>
                    </div>
{{--dd--}}
                    <div class="col-md-12">
                        <div class="row" style="margin-top: 2%;">
                            @foreach($stations as $station)
                                <div class="col-md-4 text-center" style="margin-bottom: 50px">
                                    @if($station['color'] == 'red')
                                        <a href="{{route('frontend.dynamic.past.int.ws', ['station' => $station['name'], 'start_date' => $date, 'end_date' => $date ])}}"
                                           class="card card-raised text-center"
                                           style="text-decoration: none; padding: 30px 5px; background-color: #a35f06; color: #ffffff">
                                            <span style="font-size: 22px;"><i
                                                        class="fas fa-building"></i> {{ $station['name'] }} <i
                                                        class="fas fa-frown"></i></span><br>
                                            <small>({{ $station['source'] }})</small>
                                            <br>
                                            <span class="row" style="font-size: 24px;">
                                                <span class="col-md-4 text-center"
                                                >@if($station['temperature'] !== null)
                                                        <i class="fas fa-thermometer-three-quarters"></i> {{ $station['temperature'] }}
                                                        <sup>&#8451;</sup>
                                                    @else
                                                        NA
                                                    @endif
                                                    </span>
                                                    <span
                                                            class="col-md-4 text-center"
                                                            style="border-left: 1px solid #ffffff; border-right: 1px solid #ffffff;"><i
                                                                class="fas fa-cloud"></i> {{ $station['precipitation_3h'] }}
                                                        mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 3 hours)</small></span><span
                                                            class="col-md-4 text-center"><i
                                                                class="fas fa-cloud"></i> {{ $station['precipitation_24h'] }}
                                                        mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 24 hours)</small></span>
                                            </span>
                                            <br>
                                            <span><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                        </a>
                                    @elseif($station['color'] == 'orange')
                                        <a href="{{route('frontend.dynamic.past.int.ws', ['station' => $station['name'], 'start_date' => $date, 'end_date' => $date ])}}"
                                           class="card card-raised text-center"
                                           style="text-decoration: none; padding: 30px 5px; background-color: #ffd111; color: #ffffff;">
                                        <span style="font-size: 22px;">
                                            <i class="fas fa-building"></i> {{ $station['name'] }} <i
                                                    class="fas fa-meh"></i></span><br>
                                            <small>({{ $station['source'] }})</small>
                                            <br>
                                            <span class="row" style="font-size: 24px;">
                                                <span class="col-md-4 text-center"
                                                >@if($station['temperature'] !== null)
                                                        <i class="fas fa-thermometer-three-quarters"></i> {{ $station['temperature'] }}
                                                        <sup>&#8451;</sup>
                                                    @else
                                                        NA
                                                    @endif
                                                    </span>
                                                    <span
                                                            class="col-md-4 text-center"
                                                            style="border-left: 1px solid #ffffff; border-right: 1px solid #ffffff;"><i
                                                                class="fas fa-cloud"></i> {{ $station['precipitation_3h'] }}
                                                        mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 3 hours)</small></span><span
                                                        class="col-md-4 text-center"><i
                                                            class="fas fa-cloud"></i> {{ $station['precipitation_24h'] }}
                                                    mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 24 hours)</small></span>
                                            </span>
                                            <br>
                                            <span><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                        </a>
                                    @else
                                        <a href="{{route('frontend.dynamic.past.int.ws', ['station' => $station['name'], 'start_date' => $date, 'end_date' => $date ])}}"
                                           class="card card-raised text-center"
                                           style="text-decoration: none; padding: 30px 5px; background-color: #218c2a; color: #ffffff">
                                        <span style="font-size: 22px;">
                                            <i class="fas fa-building"></i> {{ $station['name'] }} <i
                                                    class="fas fa-smile"></i></span><br>
                                            <small>({{ $station['source'] }})</small>
                                            <br>
                                            <span class="row" style="font-size: 24px;">
                                                <span class="col-md-4 text-center"
                                                >@if($station['temperature'] !== null)
                                                        <i class="fas fa-thermometer-three-quarters"></i> {{ $station['temperature'] }}
                                                        <sup>&#8451;</sup>
                                                    @else
                                                        NA
                                                    @endif
                                                </span>
                                                    <span
                                                            class="col-md-4 text-center"
                                                            style="border-left: 1px solid #ffffff; border-right: 1px solid #ffffff;"><i
                                                                class="fas fa-cloud"></i> {{ $station['precipitation_3h'] }}
                                                        mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 3 hours)</small></span><span
                                                        class="col-md-4 text-center"><i
                                                            class="fas fa-cloud"></i> {{ $station['precipitation_24h'] }}
                                                    mm
                                                    <br>
                                                    <small style="font-size: 12px;">(Last updated 24 hours)</small></span>
                                            </span>
                                            <br>
                                            <span><b>Last Updated:</b> {{ $station['last_updated'] }}</span>
                                        </a>
                                    @endif
                                </div>
                            @endforeach
                        </div>

                        <div class="row" style="font-size: 16px; font-weight: 600;">
                            <div class="col-md-4 text-center">
                                <i class="fas fa-square-full" style="color: #a35f06;"></i>
                                Malfunction
                            </div>
                            <div class="col-md-4 text-center">
                                <i class="fas fa-square-full" style="color: #ffd111;"></i>
                                Warning
                            </div>
                            <div class="col-md-4 text-center">
                                <i class="fas fa-square-full" style="color: #218c2a;"></i>
                                Working
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>

@endsection
