<?php
Route::group([
    'prefix' => 'dynamic',
    'as' => 'dynamic.',
    'namespace' => 'Dynamic',
], function () {

    /*
     * Get stations
     */

    // Route::group(['middleware' => 'guest'], function () {

    // Weather stations key map route
    Route::get('map/weather-stations', 'DynamicController@mapWeatherStations')->name('map.ws');

    // Weather stations past data station route --curw
    Route::get('past/{station}/{start_date}/{end_date}', 'DynamicController@pastWeatherStationsCurw')->name('past.ws');
    //    dd
    Route::get('past/internal/{station}/{start_date}/{end_date}', 'DynamicController@pastWeatherStations')->name('past.int.ws');

    // Weather stations past data get data route --curw
    Route::get('past/{station}/{start_date}/{end_date}/get-data', 'DynamicController@getPastDataCurw')->name('past.ws.get.data');
    Route::get('past/internal/{station}/{start_date}/{end_date}/get-data', 'DynamicController@getPastData')->name('past.int.ws.get.data');

    Route::post('past/get-form-data', 'DynamicController@getFormDataCurw')->name('get.form.data');
    Route::post('past/internal/get-form-data', 'DynamicController@getFormData')->name('get.int.form.data');

    // Canal Levels Station Json
    Route::get('map/canal-levels/json/{station}', 'DynamicController@getFlo2dCanalLevels')->name('map.get.canals.station');
    // Canal Levels key map route
    Route::get('map/canal-levels', 'DynamicController@mapCanalLevels')->name('map.canals');

    Route::get('map/test-map/{layer}', 'DynamicController@testMap')->name('map.test');

    //    Route::group(['middleware' => 'auth'], function () {
    // Water Levels Observed key map route
    Route::get('map/water-levels-observed', 'DynamicController@mapWaterLevelsObserved')->name('map.water.levels.observed');
    // Water Levels Observed Station Json
    Route::get('map/water-levels-observed/json/{station}', 'DynamicController@getWaterLevelsObserved')->name('map.get.water.levels.observed.station');

    // Water level stations past data station route
    Route::get('past/water-level/{station}/{start_date}/{end_date}', 'DynamicController@pastObservedWL')->name('past.wl.obs');

    // Water level stations & Observed rainfall past data stations route
    Route::get('past/observations/{station}/{rainfall}/{start_date}/{end_date}', 'DynamicController@pastObservedWLR')->name('past.wlr.obs');

    Route::post('past/get-value/water-level/obs/{station}', 'DynamicController@getValueObservedWL')->name('get.value.wl.obs');

    Route::post('past/wl-obs/get-form-data', 'DynamicController@getFormDataObservedWL')->name('get.form.data.wl.obs');
    Route::post('past/wlr-obs/get-form-data', 'DynamicController@getFormDataObservedWLR')->name('get.form.data.wlr.obs');

    Route::get('past/water-levels-observed/{station}/{start_date}/{end_date}', 'DynamicController@getObservedWLDynamic')->name('get.obs.wl.station');
    Route::get('past/data/stations/{station}/{rainfall}/{start_date}/{end_date}', 'DynamicController@getObservedWLRDynamic')->name('get.obs.wlr.station');
    //    });

    // Observed past data multiple maps
    Route::get('past/observed/map', 'DynamicController@pastObservedMap')->name('past.obs.map');

    Route::get('past/observed/map/multiple/water-level/{start}/{end}', 'DynamicController@pastObservedMapWL')->name('past.obs.map.wl');
    //form submit to dates
    Route::post('past/obs/wl/get-form-data', 'DynamicController@getFormDataCurwWL')->name('get.obs.wl.form.data');

    Route::get('past/observed/map/multiple/rainfall/{start}/{end}', 'DynamicController@pastObservedMapRain')->name('past.obs.map.rain');
    //form submit to dates
    Route::post('past/obs/rain/get-form-data', 'DynamicController@getFormDataCurwRain')->name('get.obs.rain.form.data');

    //
    Route::get('past/observed/map/data-wl/{start}/{end}', 'DynamicController@getPastDataObsWL')->name('past.obs.map.wl-stations.data');

    Route::get('past/observed/map/data-ws/{start}/{end}', 'DynamicController@getPastDataObsWS')->name('past.obs.map.ws-stations.data');
});
