<?php
Route::group([
    'prefix' => 'graphs',
    'as' => 'graphs.',
    'namespace' => 'Graphs',
], function () {

    /*
     * Search Specific Functionality
     */

    // hourly routes
    Route::get('hourly', 'GraphsController@hourlyIndex')->name('hourly.index');

    Route::post('hourly/create', 'GraphsController@hourlyCreate')->name('hourly.create');

    Route::get('hourly/stations', 'GraphsController@hourlyStations')->name('hourly.stations');

    Route::get('hourly/types', 'GraphsController@hourlyTypes')->name('hourly.types');

    Route::get('hourly/coordinates', 'GraphsController@hourlyCoordinates')->name('hourly.coordinates');

    // daily routes
    Route::get('daily', 'GraphsController@dailyIndex')->name('daily.index');

    Route::post('daily/create', 'GraphsController@dailyCreate')->name('daily.create');

    Route::get('daily/stations', 'GraphsController@dailyStations')->name('daily.stations');

    Route::get('daily/types', 'GraphsController@dailyTypes')->name('daily.types');

    Route::get('daily/coordinates', 'GraphsController@dailyCoordinates')->name('daily.coordinates');

    // maps routes
    Route::get('maps', 'GraphsController@mapIndex')->name('maps.index');

    Route::post('maps/get-run-id', 'GraphsController@getRunID')->name('maps.get.run.id');

    Route::get('maps/show', 'GraphsController@mapsShow')->name('maps.show');

    Route::post('maps/create', 'GraphsController@mapsCreate')->name('maps.create');

    Route::get('image/view', 'GraphsController@imageView')->name('image.view');
});