<?php
Route::group([
    'prefix' => 'observations',
    'as' => 'observation.',
    'namespace' => 'Observations',
], function () {

    /*
     * Weather stations routes
     */
    // Weather Stations  index
    Route::get('stations', 'ObserveController@index')->name('index');

    // Weather Stations  index - CURW DB Version
    Route::get('stations/external', 'ObserveController@indexCurw')->name('index.curw');

    // Weather Stations
    Route::get('station/{station}', 'ObserveController@station')->name('station');

    // Weather Stations   - CURW DB Version
    Route::get('station/external/{station}', 'ObserveController@stationCurw')->name('station.curw');

    // Weather Stations Ajax call on table values
    Route::post('station/static/{station}', 'ObserveController@getStaticValues')->name('get.static.values');

    Route::get('station/{station}/temperature', 'ObserveController@getTemperatureOnce')->name('get.live.temperature');

    Route::get('station/{station}/t', 'ObserveController@getTemperatureLive')->name('get.live.t');

    Route::get('station/{station}/live', 'ObserveController@getLiveData')->name('get.live');

    // Weather Stations Ajax call on table values - CURW DB Version
    Route::post('station/static/external/{station}', 'ObserveController@getStaticValuesCurw')->name('get.static.values.curw');

    Route::get('station/external/{station}/temperature', 'ObserveController@getTemperatureOnceCurw')->name('get.live.temperature.curw');

    Route::get('station/external/{station}/t', 'ObserveController@getTemperatureLiveCurw')->name('get.live.t.curw');

    Route::get('station/external/{station}/live', 'ObserveController@getLiveDataCurw')->name('get.live.curw');

    Route::group([], function () {
        // Weather Stations status
        Route::get('stations/status', 'ObserveController@statusIntern')->name('status');

        // Weather Stations status - CURW DB Version
        Route::get('stations/external/status', 'ObserveController@statusCurw')->name('status.curw');
    });
    /*
     * Water level stations routes
     * */
    Route::group([], function () {


        // Stations status - CURW DB Version
        Route::get('water-level/stations/external/status', 'ObserveController@statusCurwWL')->name('wl.status.curw');

        // Stations status - CURW DB Version
        Route::get('water-level/stations/status', 'ObserveController@statusCurwWLR')->name('wlr.status.curw');

        // Stations status
        Route::get('water-level/stations/internal/status', 'ObserveController@statusWL')->name('wls.int.status');
    });
});