<?php
Route::group([
    'prefix' => 'screens',
    'as' => 'screen.',
    'namespace' => 'Screens',
], function () {

    /*
     * Search Specific Functionality
     */

    // 4th screen
    Route::get('fourth-screen', 'ScreenController@fourth')->name('fourth');

    // 5th screen
    Route::get('fifth-screen', 'ScreenController@fifth')->name('fifth');

    // 6th screen
    Route::get('sixth-screen', 'ScreenController@sixth')->name('sixth');

    // Multiple data view - 7th screen
    Route::get('seventh-screen/multiple', 'ScreenController@seventhMultiple')->name('seventh.multiple');

    // 7th screen
    Route::get('seventh-screen/{source}', 'ScreenController@seventh')->name('seventh');

    // 8th screen
    Route::group([], function () {
        Route::get('old-eighth-screen', 'ScreenController@eighth')->name('eighth');
    });


    // 9th screen
    Route::get('ninth-screen', 'ScreenController@ninth')->name('ninth');

    // 10th screen
    Route::group([], function () {
        Route::get('tenth-screen/{start}', 'ScreenController@tenth')->name('tenth');
    });

    // 10th screen test
//    Route::group(['middleware' => 'auth'], function () {
    Route::get('tenth-screen/test/{start}', 'ScreenController@tenthTest')->name('tenth.test');
    Route::get('tenth-screen-public', 'ScreenController@tenthPublic')->name('tenth.public');
//    });

    // Weather station screen
    Route::get('weather-stations', 'ScreenController@weatherStations')->name('weather.station');

    // Alerts - Wl stations
    Route::get('alerts/canal-level', 'ScreenController@alersWlevel')->name('canals.station');

    // 11th screen
    Route::get('11th-screen', 'ScreenController@eleventh')->name('eleventh');
    
    // 12th screen
    Route::get('12th-screen/{start}', 'ScreenController@twelveth')->name('twelveth');
    Route::get('12th-screen-public', 'ScreenController@twelvethPublic')->name('twelveth.public');
});