<?php
Route::group([
    'prefix' => 'static',
    'as' => 'static.',
    'namespace' => 'Statics',
], function () {

    // Stations graph route - public
    Route::get('station/{station}/{date}', 'StaticController@index')->name('station');

    // Stations graph route - research index
    Route::get('research', 'StaticController@researchIndex')->name('research.index');

    // Research Graphs
    Route::get('research/{station1}/{station2}/{date}', 'StaticController@research')->name('research');

    Route::get('research-single/{station1}/{station2}/{date}', 'StaticController@researchSingle')->name('research.single');

    // Daily graph route
    Route::get('daily/{station}', 'StaticController@daily')->name('daily');

    // Rainfall stations
    Route::get('research/rainfall-stations', 'StaticController@rainfall')->name('rainfall');
    // Rainfall station data - multiple sources
    Route::get('research/rainfall/multiple/station/{station}', 'StaticController@rainfallStationMultiple')->name('rainfall.station.multiple');
    // Rainfall station data
    Route::get('research/rainfall/{station}', 'StaticController@rainfallStation')->name('rainfall.station');
    // Rainfall station data - multiple sources 6 hours version
    Route::get('research/rainfall/multiple/6-hours/{station}', 'StaticController@rainfallStationHours')->name('rainfall.station.multiple.hours');
    // Weather stations data with forecast values - multiple sources
    Route::get('research/rainfall/weather-stations/multiple/{station}/{grid}', 'StaticController@weatherStationsForecast')->name('rainfall.station.ws.multiple');
    // Weather stations data with forecast values 6 hours version - multiple sources
    Route::get('research/rainfall/weather-stations/multiple/6-hours/{station}/{grid}', 'StaticController@weatherStationsForecastHours')->name('rainfall.station.ws.hours-multiple');

    // Discharge stations
    Route::get('research/discharge-stations', 'StaticController@discharge')->name('discharge');
    // Discharge station data
    Route::get('research/discharge/{station}', 'StaticController@dischargeStation')->name('discharge.station');

    Route::get('research/iot/test', 'StaticController@iotTest')->name('iot.test');
});