<!doctype html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta name="googlebot" content="noindex,nofollow,noarchive,nosnippet,noodp" />
        <meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp" />

        <title><?php echo $__env->yieldContent('title', 'Hydrological Forecast'); ?></title>

        <?php echo $__env->yieldContent('meta'); ?>

        <!-- Styles -->
        <?php echo $__env->yieldContent('before-styles'); ?>

        <!-- Check if the language is set to RTL, so apply the RTL layouts -->
        <!-- Otherwise apply the normal LTR layouts -->
        <?php if (session()->has('lang-rtl')): ?>
            <?php echo e(Html::style(getRtlCss(mix('css/frontend.css')))); ?>

        <?php else: ?>
            <?php echo e(Html::style(mix('css/frontend.css'))); ?>

        <?php endif; ?>

        <?php echo $__env->yieldContent('after-styles'); ?>

        <!-- Scripts -->
        <script>window.Laravel = <?php echo json_encode([
                'csrfToken' => csrf_token(),]); ?></script>
    </head>
    <body id="landing-page">
        <div class="wrapper" style="">

            <?php echo $__env->make('includes.partials.logged-in-as', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <?php echo $__env->make('frontend.includes.nav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                <?php echo $__env->make('includes.partials.messages', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <?php echo $__env->yieldContent('content'); ?>
                <?php echo $__env->make('frontend.includes.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

        </div><!--wrapper-->

        <!-- Scripts -->
        <?php echo $__env->yieldContent('before-scripts'); ?>
        <?php echo Html::script(mix('js/frontend.js')); ?>

        <?php echo $__env->yieldContent('after-scripts'); ?>

        <?php echo $__env->make('includes.partials.ga', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </body>
</html>